Sync with portage [Sun Oct 2 10:54:11 MSK 2022].

akrasnyh
root 2 years ago
parent 71a4a4b7a5
commit 8c03d571c0

Binary file not shown.

Binary file not shown.

@ -1,2 +1,3 @@
DIST brltty-6.1.tar.xz 3394852 BLAKE2B 03e6358721dcd5c3bdee3301a1ed827a690128ec339669543279c7e9a115bef6c5d8630e4af2d0b214b9c7c3eaa9001ab4c54ae7fb899cb3bc675985f51d6933 SHA512 030ef60ef7a9a60dc2fba2a64ea0a0868395eee6f2f86876b4e4111e804a05b44f798a154a69a8f5e0f6358130993c360a550f7decac0535450f9cf939231eaf
DIST brltty-6.4.tar.xz 3669296 BLAKE2B 2824b212c7e4fea0f65c7ae111432071805aa63117a7e9a9932d7720ef2157f1e6fd33e3e91e4515c7131bd066db8f910969fb186d2007b63bc83efcbe2332b1 SHA512 384848d05f78732952079d6f5170046927fcb35f400ece71ca897415a793c0aa1047934f8cd5e9e781536fb0b7cb71273283f3bba21e59f082ba8f6f2416352e
DIST brltty-6.5.tar.xz 3631628 BLAKE2B b2e5f82f15dff9a99bf3d75523f6ec48d531d413d860079af0023b9efdc07a93563226c6388cc89ce025f8d13b1635e883680f0ddb8a688ffcc4cd9c335d7aee SHA512 bbfbb89b1c3ba5063ad3bc0aa97b859dd23acea1feb79dab20c57dc74ff2f26649942fcecc7030a3f70555596f4d9d35cd05616af2a8e101d4d56b4c471a6ad3

@ -0,0 +1,223 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..11} )
FINDLIB_USE="ocaml"
JAVA_PKG_WANT_SOURCE="1.8"
JAVA_PKG_WANT_TARGET="1.8"
inherit findlib toolchain-funcs java-pkg-opt-2 autotools python-r1 tmpfiles
DESCRIPTION="Daemon that provides access to the Linux/Unix console for a blind person"
HOMEPAGE="https://brltty.app/"
SRC_URI="https://brltty.app/archive/${P}.tar.xz"
LICENSE="GPL-2 LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~x86"
IUSE="+api +beeper bluetooth doc +fm gpm iconv icu
java louis +midi ncurses nls ocaml +pcm policykit python
usb systemd +speech tcl xml X"
REQUIRED_USE="doc? ( api )
java? ( api )
ocaml? ( api )
python? ( api ${PYTHON_REQUIRED_USE} )
tcl? ( api )"
DEPEND="
acct-group/brltty
acct-user/brltty
dev-libs/libpcre2[pcre32]
bluetooth? (
sys-apps/dbus
net-wireless/bluez
)
gpm? ( >=sys-libs/gpm-1.20 )
iconv? ( virtual/libiconv )
icu? ( dev-libs/icu:= )
louis? ( dev-libs/liblouis:= )
midi? ( media-libs/alsa-lib )
ncurses? ( sys-libs/ncurses:0= )
pcm? ( media-libs/alsa-lib )
policykit? ( sys-auth/polkit )
python? ( ${PYTHON_DEPS} )
speech? (
app-accessibility/espeak-ng
app-accessibility/flite
app-accessibility/speech-dispatcher
)
systemd? ( sys-apps/systemd )
tcl? ( >=dev-lang/tcl-8.4.15:0= )
usb? ( virtual/libusb:1 )
xml? ( dev-libs/expat )
X? (
app-accessibility/at-spi2-core:2
sys-apps/dbus
x11-libs/libX11
x11-libs/libXaw
x11-libs/libXfixes
x11-libs/libXt
x11-libs/libXtst
)"
RDEPEND="${DEPEND}
java? ( >=virtual/jre-1.8:* )
"
BDEPEND="
virtual/pkgconfig
java? ( >=virtual/jdk-1.8:* )
nls? ( virtual/libintl )
python? ( >=dev-python/cython-0.16[${PYTHON_USEDEP}] )
"
HTML_DOCS=( "${S}"/Documents/Manual-BrlAPI/. )
PATCHES=(
"${FILESDIR}"/${PN}-6.4-respect-AR.patch
)
src_prepare() {
default
java-pkg-opt-2_src_prepare
# We run eautoconf instead of using eautoreconf because brltty uses
# a custom build system that uses autoconf without the rest of the
# autotools.
eautoconf
use python && python_copy_sources
}
src_configure() {
tc-export AR LD PKG_CONFIG
export JAVAC=""
export JAVA_JNI_FLAGS=""
if use java; then
export JAVA_HOME="$(java-config -g JAVA_HOME)"
export JAVAC_HOME="${JAVA_HOME}/bin"
export JAVA_JNI_FLAGS="$(java-pkg_get-jni-cflags)"
export JAVAC="$(java-pkg_get-javac) -encoding UTF-8 $(java-pkg_javac-args)"
fi
# Override bindir for backward compatibility.
# Also override localstatedir so that the lib/brltty directory is installed
# correctly.
# Disable stripping since we do that ourselves.
local myconf=(
--bindir="${EPREFIX}"/bin
--htmldir="${EPREFIX}"/usr/share/doc/"${P}"/html
--localstatedir="${EPREFIX}"/var
--runstatedir="${EPREFIX}"/run
# the next two lines should be removed once support is added.
--disable-emacs-bindings
--disable-lua-bindings
--disable-stripping
--with-updatable-directory="${EPREFIX}"/var/lib/brltty
--with-writable-directory="${EPREFIX}"/run/brltty
--with-privilege-parameters=lx:user=brltty
$(use_enable api)
$(use_with beeper beep-package)
# $(use_enable emacs emacs-bindings)
$(use_with fm fm-package)
$(use_enable gpm)
$(use_enable iconv)
$(use_enable icu)
$(use_enable java java-bindings)
$(use_enable louis liblouis)
# $(use_enable lua lua-bindings)
$(use_with midi midi-package)
$(use_enable nls i18n)
$(use_enable ocaml ocaml-bindings)
$(use_with pcm pcm-package)
$(use_enable policykit polkit)
$(use_enable python python-bindings)
$(use_enable speech speech-support)
$(use_with systemd service-package)
$(use_enable tcl tcl-bindings)
$(use_enable xml expat)
$(use_enable X x)
$(use_with bluetooth bluetooth-package)
$(use_with ncurses curses)
$(use_with usb usb-package)
)
# disable espeak since we use espeak-ng
use speech && myconf+=( --with-speech-driver=-es )
econf "${myconf[@]}"
if use python; then
python_configure() {
econf "${myconf[@]}"
}
python_foreach_impl run_in_build_dir python_configure
fi
}
src_compile() {
emake -j1 JAVA_JNI_FLAGS="${JAVA_JNI_FLAGS}" JAVAC="${JAVAC}"
if use python; then
python_build() {
cd "Bindings/Python" || die
emake -j1
}
python_foreach_impl run_in_build_dir python_build
fi
}
src_install() {
if use ocaml; then
findlib_src_preinst
fi
emake -j1 INSTALL_ROOT="${D}" OCAML_LDCONF= install
if use python; then
python_install() {
cd "Bindings/Python" || die
emake -j1 INSTALL_ROOT="${D}" install
}
python_foreach_impl run_in_build_dir python_install
fi
if use java; then
java-pkg_doso Bindings/Java/libbrlapi_java.so
java-pkg_dojar Bindings/Java/brlapi.jar
fi
insinto /etc
doins Documents/brltty.conf
newinitd "${FILESDIR}"/brltty.initd brltty
pushd Autostart/Systemd 1> /dev/null || die
emake -j1 INSTALL_ROOT="${ED}" install
popd
pushd Autostart/Udev 1> /dev/null || die
emake -j1 INSTALL_ROOT="${ED}" install
popd
dodoc Documents/{CONTRIBUTORS,ChangeLog,HISTORY,README*,TODO}
if use doc; then
HTML_DOCS="doc/Manual-BRLTTY" einstalldocs
fi
keepdir /var/lib/BrlAPI
rm -fr "${ED}/run" || die
find "${ED}" -name '*.a' -delete || die
}
pkg_postinst() {
tmpfiles_process ${PN}.conf
elog "please be sure ${EROOT}/etc/brltty.conf is correct for your system."
elog
elog "To make brltty start on boot on an OpenRC system, type this command:"
elog "# rc-update add brltty boot"
elog
elog "If you are using systemd, type this command:"
elog "# systemctl daemon-reload"
elog
elog "Please reload udev by typing:"
elog "# udevadm control --reload"
}

@ -17,6 +17,7 @@
</use>
<upstream>
<remote-id type="cpe">cpe:/a:mielke:brltty</remote-id>
<remote-id type="github">brltty/brltty</remote-id>
</upstream>
<longdescription lang="en">
BRLTTY is a background process (daemon) which provides access to the Linux/Unix

@ -1,3 +1,4 @@
DIST speech-dispatcher-0.11.1.tar.gz 6548489 BLAKE2B fd4e05c51b80991bdd5d27ecf967946cfde98f978462e909f193c14eab51f3cae047d281c3e2896b3ddeeb4e045ceb72f51e5dbfaf3f9ea8a818f8146cb5e625 SHA512 859911d7db5660423bc7911eacbe8e7a9c3104df97478cbbca48ca5fd6ec018113172d49bc66781680433c77b4d2af43578c9b0f11409e2ba7ac618deb31d7cf
DIST speech-dispatcher-0.11.2.tar.gz 7147526 BLAKE2B 6b11949736275d900e5e1d3909fab51fc04fbb45baf470a4c98aed19f61b7adb8cedf6b11f1a1aa69d9625383627beab4122c74ec78d9c07a5d0ddf4646669d6 SHA512 038ecaa5b9d56e3f915ec49fe7768cb4eebe1c8be79b95635f09fb3f6067e4c0ade13d2dd355e0b326579dcdf509dd180889b27282410b6bb252a2f642f028d4
DIST speech-dispatcher-0.11.3.tar.gz 7150632 BLAKE2B 92bad589e453a243362a9e0142d2897b9651fa648012f2bd7ef00bc1ded389fd2c01b6f38f19002289357f7aa6361a6e7fa3ee35ec2ad7c044f34d87e7f2c409 SHA512 e9f5b862066c0292230fda32f16782f9a2d66e8d0c0e3aa0ccdb4628c1182661d2f40894f480ae5206af7fbbc49338189312afe02092f5d472095b053afd75c7
DIST speech-dispatcher-0.9.1.tar.gz 1662222 BLAKE2B 03c3d79a9cbbe7e549f638992fb276ab2270a45a057708721666257699479b3feb81daddf26d8032ba3f7b9ab6b836c7f582ee22a532ff018c99820af3864d87 SHA512 35adb353d22b8dff8884cb20f3836f96f4f74b272bbd442d522a10a3d3b91a0da6705e6c216764f295208b5446c2077da620de2a81cafe5a0c4dd826e33753c2

@ -0,0 +1,122 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..11} )
inherit python-r1 systemd
DESCRIPTION="Speech synthesis interface"
HOMEPAGE="https://freebsoft.org/speechd"
SRC_URI="https://github.com/brailcom/speechd/releases/download/${PV}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
IUSE="alsa ao espeak +espeak-ng flite nas pulseaudio python"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
DEPEND="python? ( ${PYTHON_DEPS} )
>=dev-libs/dotconf-1.3
>=dev-libs/glib-2.36:2
>=media-libs/libsndfile-1.0.2
alsa? ( media-libs/alsa-lib )
ao? ( media-libs/libao )
espeak? ( app-accessibility/espeak )
espeak-ng? ( app-accessibility/espeak-ng )
flite? ( app-accessibility/flite )
nas? ( media-libs/nas )
pulseaudio? ( media-sound/pulseaudio )"
RDEPEND="${DEPEND}
python? ( dev-python/pyxdg[${PYTHON_USEDEP}] )"
BDEPEND="
sys-apps/help2man
>=sys-devel/gettext-0.19.8
virtual/pkgconfig"
PATCHES=(
"${FILESDIR}"/${PN}-0.11.1-include-pthread_h.patch
)
src_configure() {
# bug 573732
export GIT_CEILING_DIRECTORIES="${WORKDIR}"
local myeconfargs=(
--disable-ltdl
--disable-python
--disable-static
--with-baratinoo=no
--with-ibmtts=no
--with-kali=no
--with-pico=no
--with-voxin=no
$(use_with alsa)
$(use_with ao libao)
$(use_with espeak)
$(use_with espeak-ng)
$(use_with flite)
$(use_with nas)
$(use_with pulseaudio pulse)
--with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
)
econf "${myeconfargs[@]}"
}
src_compile() {
use python && python_copy_sources
emake
if use python; then
building() {
cd src/api/python || die
emake \
pyexecdir="$(python_get_sitedir)" \
pythondir="$(python_get_sitedir)"
}
python_foreach_impl run_in_build_dir building
fi
}
src_install() {
default
if use python; then
installation() {
cd src/api/python || die
emake \
DESTDIR="${D}" \
pyexecdir="$(python_get_sitedir)" \
pythondir="$(python_get_sitedir)" \
install
}
python_foreach_impl run_in_build_dir installation
python_replicate_script "${ED}"/usr/bin/spd-conf
python_foreach_impl python_optimize
fi
find "${D}" -name '*.la' -type f -delete || die
}
pkg_postinst() {
local editconfig="n"
if ! use espeak-ng; then
ewarn "You have disabled espeak-ng, which is speech-dispatcher's"
ewarn "default speech synthesizer."
ewarn
editconfig="y"
fi
if ! use pulseaudio; then
ewarn "You have disabled pulseaudio support."
ewarn "pulseaudio is speech-dispatcher's default audio subsystem."
ewarn
editconfig="y"
fi
if [[ "${editconfig}" == "y" ]]; then
ewarn "You must edit ${EROOT}/etc/speech-dispatcher/speechd.conf"
ewarn "and make sure the settings there match your system."
ewarn
fi
}

Binary file not shown.

@ -1,15 +1,15 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit toolchain-funcs
MY_P="${PN}-src-6013ce"
MY_P="${PN}-src-${PV//.}ce"
DESCRIPTION="A webserver log analyzer"
HOMEPAGE="https://www.c-amie.co.uk/software/analog/"
SRC_URI="http://www.c-amie.co.uk/static/analog/6013/${MY_P}.zip"
SRC_URI="http://www.c-amie.co.uk/static/analog/${PV//.}/${MY_P}.zip"
LICENSE="GPL-2"
SLOT="0"

@ -1,3 +1,5 @@
DIST aws-cli-1.25.75.gh.tar.gz 2270365 BLAKE2B 68cd58d03e0712133104dbb145c6d4bcedf8925e59088d0f2c7ecb7c91beb572a3c8c33f55d95e1a2e0e462648c06cde2460e595942e8adb33c3dcab8ec6a2fc SHA512 c21de74e0ae7380a810d11bad53f0233bc50c8959f047d58c4f4c2cd23231fab34dbba1dac6096790adb28b1ca99e22e70019bcda32738df6e984b2bb46abaa8
DIST aws-cli-1.25.81.gh.tar.gz 2273195 BLAKE2B 3bf3ca742b08c0bf4367ae1bfabcf8c2626010d60cc11ff66250753f62609eba80053c1d8696cc3184ba9f947f995a8bb95489b01f60a3fa7e1a8cbb4961652c SHA512 4f10de492a56b158d88671c149d4ed4171fbbde8fe84de15a446e31a7d8003a4562439eabd369cb80dcf91987caab6aef05e5b3f5684aeea47ba0d323883c53c
DIST aws-cli-1.25.82.gh.tar.gz 2273453 BLAKE2B 11c307a78df654634a7ae75cc8a7ce7d37697aa9ce792a3ad2b1a250291f2ff3574bea13219c072f223e4f27b7e5df757b49971374a5962f19b57ae00f77cd44 SHA512 90737a8cc9aac60970e705c5637672b74e89278926196c1363252038401e12bcb31672c878d2a3b6f213f5a5aac308e5b170e90342f6d270793aead3c8485eaf
DIST aws-cli-1.25.83.gh.tar.gz 2273842 BLAKE2B 3b3986f539302830d981478cf485c9a724a0c1bd216b6a3952781eeeb96e58d0f7cf575a899e79e55dc2252d90c15c1cf2cbde755fa4f89ac4fcabbab788896a SHA512 7194d281477bc8f94b91901fdea57a1da44e703a04d28df9bb63a7f17370ec31eb640128f07b902a46892ca77377e706a0d99f6d53699a572c9cb2ef7d0f6c04
DIST aws-cli-1.25.85.gh.tar.gz 2274915 BLAKE2B 074651fd32ec378c8f574266ff2a2e43ddb3d16fc7cb73dda75895819d948216acefe6e5c0da1ef059e36c4b684a6b360f996e3ff905abfc71a4c68dc78ad64d SHA512 ca6b6012fbe69467adfeade7f4b7c4cf40c50f2c62aee71c1e459bfa6597d3510e8ba087752c23ca77306e49cffbb68dde95167eed0d9313ab1488855b2aa4dd

@ -0,0 +1,72 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8..11} )
inherit bash-completion-r1 distutils-r1 multiprocessing
MY_P=aws-cli-${PV}
DESCRIPTION="Universal Command Line Environment for AWS"
HOMEPAGE="
https://github.com/aws/aws-cli/
https://pypi.org/project/awscli/
"
SRC_URI="
https://github.com/aws/aws-cli/archive/${PV}.tar.gz
-> ${MY_P}.gh.tar.gz
"
S=${WORKDIR}/${MY_P}
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
# botocore is x.(y+2).(z-1)
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 2)).$(( $(ver_cut 3-) - 1 ))"
RDEPEND="
>=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
dev-python/colorama[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/rsa[${PYTHON_USEDEP}]
>=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
!app-admin/awscli-bin
"
BDEPEND="
test? (
dev-python/pytest-forked[${PYTHON_USEDEP}]
dev-python/pytest-xdist[${PYTHON_USEDEP}]
)
"
distutils_enable_tests pytest
src_prepare() {
# do not rely on bundled deps in botocore (sic!)
find -name '*.py' -exec sed -i \
-e 's:from botocore[.]vendored import:import:' \
-e 's:from botocore[.]vendored[.]:from :' \
{} + || die
# strip overzealous upper bounds on requirements
sed -i -e 's:,<[0-9.]*::' -e 's:==:>=:' setup.py || die
distutils-r1_src_prepare
}
python_test() {
# integration tests require AWS credentials and Internet access
epytest tests/{functional,unit} -n "$(makeopts_jobs)" --forked
}
python_install_all() {
newbashcomp bin/aws_bash_completer aws
insinto /usr/share/zsh/site-functions
newins bin/aws_zsh_completer.sh _aws
distutils-r1_python_install_all
rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
}

@ -0,0 +1,72 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8..11} )
inherit bash-completion-r1 distutils-r1 multiprocessing
MY_P=aws-cli-${PV}
DESCRIPTION="Universal Command Line Environment for AWS"
HOMEPAGE="
https://github.com/aws/aws-cli/
https://pypi.org/project/awscli/
"
SRC_URI="
https://github.com/aws/aws-cli/archive/${PV}.tar.gz
-> ${MY_P}.gh.tar.gz
"
S=${WORKDIR}/${MY_P}
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
# botocore is x.(y+2).(z-1)
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 2)).$(( $(ver_cut 3-) - 1 ))"
RDEPEND="
>=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
dev-python/colorama[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/rsa[${PYTHON_USEDEP}]
>=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
!app-admin/awscli-bin
"
BDEPEND="
test? (
dev-python/pytest-forked[${PYTHON_USEDEP}]
dev-python/pytest-xdist[${PYTHON_USEDEP}]
)
"
distutils_enable_tests pytest
src_prepare() {
# do not rely on bundled deps in botocore (sic!)
find -name '*.py' -exec sed -i \
-e 's:from botocore[.]vendored import:import:' \
-e 's:from botocore[.]vendored[.]:from :' \
{} + || die
# strip overzealous upper bounds on requirements
sed -i -e 's:,<[0-9.]*::' -e 's:==:>=:' setup.py || die
distutils-r1_src_prepare
}
python_test() {
# integration tests require AWS credentials and Internet access
epytest tests/{functional,unit} -n "$(makeopts_jobs)" --forked
}
python_install_all() {
newbashcomp bin/aws_bash_completer aws
insinto /usr/share/zsh/site-functions
newins bin/aws_zsh_completer.sh _aws
distutils-r1_python_install_all
rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
}

@ -1,2 +1,2 @@
DIST Bitwarden-1.32.1-amd64.deb 72752286 BLAKE2B f7ea64bacb85820872c026d4f4bc6e7b70533bc64af85cea71beac4cf5da559a2178775a2eb31c805837ec5b7fc853c5c097fe3fa71bebf796ea165f62723a4b SHA512 514e9da98a4987d7a65e4b8a5f00fe9154a5e7558edc8d14360a1e7e21a24d4ad2ee82c38b029976d6671af991a82d54207cbfc73c7e246b7c18e5ddceb9394f
DIST Bitwarden-2022.6.0-amd64.deb 64084380 BLAKE2B 8729385160c07be0056ee9b17f70aa53b5c5e240fbe5ecbc20d3f4b5e2af69524a4042b07d619c04c6521cd1696459346e6812796bea78f5ba7538de22ff7965 SHA512 70de5d3c626543bfe3f8e3ecde1abe427154e73456f989b6b0219db79c2f61d09a72d37034f9f37a14bd2ddd82ecbb23515551fc7eabc6bc1aa87bc8b44d4474
DIST Bitwarden-2022.9.1-amd64.deb 64957370 BLAKE2B 05d1f206503b41ed2a118948b3bd74cb6418dde661f3e620644abe15108391fcd48e3211cb6ff48560eb6092dc2bd08620f3df24bb92de5b832301202456ecb9 SHA512 5907b58d4da1933809342f482f26833b4513e2b2d2a62a7f2ddec02e571069f3d0a5b509a57c4390f00677dd9c6a6164217e32a5911268da683ef94713345505

@ -9,7 +9,7 @@ MY_PN="Bitwarden"
DESCRIPTION="Bitwarden password manager desktop client"
HOMEPAGE="https://bitwarden.com/"
SRC_URI="https://github.com/bitwarden/desktop/releases/download/v${PV}/Bitwarden-${PV}-amd64.deb"
SRC_URI="https://github.com/bitwarden/clients/releases/download/desktop-v${PV}/Bitwarden-${PV}-amd64.deb"
S="${WORKDIR}"
LICENSE="GPL-3"
@ -60,6 +60,7 @@ QA_PREBUILT="
opt/Bitwarden/*.so*
opt/Bitwarden/bitwarden
opt/Bitwarden/chrome-sandbox
opt/Bitwarden/chrome_crashpad_handler
"
src_install() {
@ -71,7 +72,7 @@ src_install() {
domenu usr/share/applications/bitwarden.desktop
local x
for x in 16 32 48 64 256 512; do
for x in 16 32 64 128 256 512; do
doicon -s ${x} usr/share/icons/hicolor/${x}*/*
done
}

@ -2,3 +2,5 @@ DIST consul-template-0.29.0-deps.tar.xz 37430348 BLAKE2B 9e0af3e245420bb3166a56b
DIST consul-template-0.29.0.tar.gz 244446 BLAKE2B 9ff2b33d9a3ca296913bf4f5e6928b789341438a566b63e841e04b0ad528d13588bcdb34994a1d3a829c7d64593b9811480fcf9395d3527a09d473d90bdf4e23 SHA512 e562d89c753ca2bbd14ae57e084e7e2b0aac28c92c210357e22d32d5c3c138054a46f5fb8883a44f64bdd8e9654f457230cef3b24513fa7eeaefd177fd8004c7
DIST consul-template-0.29.1-deps.tar.xz 59041120 BLAKE2B dd822c41cf9fdfe773ed48edbc02eb409b4840c9bd6f6b66c590d2fa6a44ccea3bcac89569abf318abd2c97e7515e600ee2f1f6c469c60d068959f90e3487831 SHA512 37fd93e9ce064251941626c6ac6b6770e7c019d82cd5f6c113d2adb09460a02fb1644af26714b34f9634e6312346edb98cd841aee6b6805f7d06a07fc7c997d7
DIST consul-template-0.29.1.tar.gz 254592 BLAKE2B 4ad5e7c1bf2edc06d72ec1ed48f9546c698d22f8562c4c9924106891c44511b912abecc94517ed2359592b709f1f8fd05fcb00cea52893de29c62b34b61fd71e SHA512 edcfe45a3d98b9affda8b5d07fb375a647a78473c7041a87f1f5a2aa2faef2bfdef26a7037d228f6a86d0c446397e7452e7005ce16beff2bc68edabf2268a6f9
DIST consul-template-0.29.4-deps.tar.xz 59446648 BLAKE2B 9ccd689f38eff50ad448a4226de918920c7acca9eb1e23d4e30f9999afc124224bb8f123b3dff4a1d433ea683ed523cd604a41472f50cb1919483040fc18c848 SHA512 3c60d88fdb82744f250cf02be3b3423f74360f18a43f4c4204ee97f73c370b878ecdbd5a300f96b74ffd9c7cde66f6c8b974392f7acc07a113b85ab6f1b6d8e9
DIST consul-template-0.29.4.tar.gz 262539 BLAKE2B 487902c2a05561db325e6d2638a70d2733a27dd31f678b65883d0b4925b4efa38fe4fbe6c7128c9473af4d4a21f467288a2c1945da399f6feab39216b67dd5aa SHA512 3bc5fcd1877fe125398d6bf0bd4938af88cacf726441af3e82142e651ab458185593eec3cb7c5916669a0e39dff8059c049556509ec279bf572f03b4c915d757

@ -0,0 +1,58 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit go-module systemd
DESCRIPTION="Generic template rendering and notifications with Consul"
HOMEPAGE="https://github.com/hashicorp/consul-template"
SRC_URI="https://github.com/hashicorp/consul-template/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
https://dev.gentoo.org/~zmedico/dist/${P}-deps.tar.xz"
LICENSE="MPL-2.0 Apache-2.0 BSD BSD-2 ISC MIT WTFPL-2"
SLOT="0"
KEYWORDS="~amd64"
COMMON_DEPEND="
acct-group/consul-template
acct-user/consul-template"
DEPEND="${COMMON_DEPEND}"
RDEPEND="${COMMON_DEPEND}"
# TODO: debug test failures
RESTRICT+=" test"
src_prepare() {
default
# remove -s and -w from the linker flags
sed \
-e '/-s \\/d' \
-e '/-w \\/d' \
-i Makefile || die
}
src_compile() {
emake GOBIN="${S}"/bin dev
}
src_test() {
emake GOBIN="${S}"/bin test
}
src_install() {
dobin bin/${PN}
dodoc CHANGELOG.md README.md
newinitd "${FILESDIR}/${PN}.initd" "${PN}"
newconfd "${FILESDIR}/${PN}.confd" "${PN}"
insinto /etc/logrotate.d
newins "${FILESDIR}/${PN}.logrotated" "${PN}"
systemd_dounit "${FILESDIR}/${PN}.service"
keepdir /etc/${PN}.d
keepdir /var/log/${PN}
fowners ${PN}:${PN} /var/log/${PN}
}

@ -1,4 +1,8 @@
DIST vault-1.10.6-vendor.tar.gz 50107281 BLAKE2B 121889bce4b01ef38ac4d727e8f195b164521dae4a27a1ed03051b8f18a53d15e2ddcfa16ae72871b9aca0b8c49533b0ada08ba1c26502f430187067fe6e9535 SHA512 08bb8bd2e4e4cd7fa6008776da5cca254ccc2689ef02e1a095fdf736de57f6713a6c49a7573014326bd1c93378d3a47076c37b519f49c2a5b618c47f9fee4554
DIST vault-1.10.6-webui.tar.xz 1258100 BLAKE2B f63a05ed6715574ae0c89ee447734fa279f6d63dd51e04e37bd057067b2e46cd765609db94bf79769a2138137ce18738cb0a91a092b03fa8fd4ce6082ea166f4 SHA512 fc9c8cb7911ddae0b6d13efa9d6a768c7935fc4bb8c21e43eafa0a7866b718e8f381b51c38fc72378e53d95b81c9af89367139308c50a91396350b6adfdfb7e4
DIST vault-1.10.7-vendor.tar.gz 50109804 BLAKE2B 59a10957b34842fe0eb24cbb2de108c1fdf11b2ea6c31472944d5e607a78a5e1272caa105ef38fce733fe082e4c4257903804bacc78694f41d1149ca632f96e5 SHA512 4efb49e48fd217d3483a7114cc797d1f78c8d01a9358270905576e3056fe42a157a0056994ddceaf9ceee9b725611836b85bca80c8daec306d2c0fad772219f1
DIST vault-1.10.7-webui.tar.xz 1258120 BLAKE2B 82acff201b446be456377f9470552626ba85aeb0233e029f34979c2a45547803e297c9cb1a051400181c41369116ffa1b72d14512bf4adf6f7aecb90b4df33d2 SHA512 1e8eb28f0033a8748c10bd63033e4f5f72c4fd9343b328e1fb98ac4ebfb999ab64bb29502cc3b9a805fa725844077b38c9795b4fb5ea3c6c9c67cdd9d5bd5bd7
DIST vault-1.11.3-vendor.tar.gz 52098996 BLAKE2B 98f590661d59fb7fe13cc90269592c9dd556dca5feb3834cc056d966bdea7164acd29483cb4179781089ff30a18c7c253414688b5e8127483539779f478099e9 SHA512 9be3d9401574005608b7d2e72856966cf93786d0a4c1e945b51a00f66e0d3152039efccd9d415378914492d6c544e1a3d2a8707406c3331521a5fe960c9cf44b
DIST vault-1.11.3-webui.tar.xz 1335776 BLAKE2B bf98149a8bd71286b0dcacab9847723536c616db6cdc78f4dafd0dacdab2d5d2a203eadbe0bd0f6937f6132cf06e4ec488c1c290a96f9b7f5b88dd4b186ca570 SHA512 136f61519ed4ebf765ea3c76cfba7732c615c7187a821265cbb4b31d9d11c5141fc8e3ad701e15246eaad550ac27a08185d32b26ed4b734eb592de8767d3004f
DIST vault-1.11.4-vendor.tar.gz 52097178 BLAKE2B 3f0fdddff8d9a834dff77bfb696c8c440660083f20c328c84a2b45e270defaa19fb461abf1a7ecca23ef8f8b2ad57cca33fa19103c87a8c9d5d2c947562a96c7 SHA512 5ada435c7bc75f06c381f4f75ca4717044cc17ec009283647175d1a68fdacb3175052e2292d7a739ae8475715e8592d3bf7f3fe4f3e8dc027688a15b771ca935
DIST vault-1.11.4-webui.tar.xz 1335580 BLAKE2B 9c2c58448083e781e74d4bd9e6bc9128224a9d10020c6b30af111c869a86467bde4683825908b892f20f7024eda081d026d2fa01b9ee0fb02fa94d7f412dacb4 SHA512 6739ac2845eaf2e82b7f5177bbfc42ccaf05a1fd1c50b2e53e296faf8a631846f9495d2d19269735723cc60f2ecbd5c90533a9fa88efd7c8d9c8c6575e4801d9

@ -0,0 +1,85 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit fcaps go-module systemd
DESCRIPTION="A tool for managing secrets"
HOMEPAGE="https://vaultproject.io/"
VAULT_WEBUI_ARCHIVE="${P}-webui.tar.xz"
SRC_URI="https://github.com/zmedico/vault/archive/refs/tags/v${PV}-vendor.tar.gz -> ${P}-vendor.tar.gz
webui? (
https://dev.gentoo.org/~zmedico/dist/${VAULT_WEBUI_ARCHIVE}
)"
LICENSE="MPL-2.0 Apache-2.0 BSD BSD-2 CC-BY-SA-4.0 ISC MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm64"
IUSE="+webui"
BDEPEND="
app-arch/zip
dev-go/gox
>=dev-lang/go-1.15.3"
COMMON_DEPEND="acct-group/vault
acct-user/vault"
DEPEND="${COMMON_DEPEND}"
RDEPEND="${COMMON_DEPEND}"
FILECAPS=(
-m 755 'cap_ipc_lock=+ep' usr/bin/${PN}
)
RESTRICT+=" test"
S=${WORKDIR}/${P}-vendor
src_unpack() {
default
}
src_prepare() {
default
# Avoid the need to have a git checkout
sed -e 's:^\(GIT_COMMIT=\).*:\1:' \
-e 's:^\(GIT_DIRTY=\).*:\1:' \
-e s:\'\${GIT_COMMIT}\${GIT_DIRTY}\':: \
-i scripts/build.sh || die
sed -e "/hooks/d" \
-e 's|^\([[:space:]]*\)goimports .*)|\1true|' \
-e "s/gofumpt/gofmt/g" \
-i Makefile || die
if [[ -d "${WORKDIR}/http/web_ui" ]]; then
rm -rf "${S}/http/web_ui" || die
mv "${WORKDIR}/http/web_ui" "${S}/http/web_ui" ||
die "mv failed"
else
mkdir -p "${S}/http/web_ui" || die
touch "${S}/http/web_ui/no_web_ui" || die
fi
}
src_compile() {
mkdir "${T}"/bin || die
BUILD_TAGS="$(usex webui ui '')" \
GOPATH="${T}" \
XC_ARCH=$(go env GOARCH) \
XC_OS=$(go env GOOS) \
XC_OSARCH=$(go env GOOS)/$(go env GOARCH) \
emake bin
}
src_install() {
dobin bin/${PN}
dodoc CHANGELOG.md CONTRIBUTING.md README.md
insinto /etc/${PN}.d
doins "${FILESDIR}/"*.json.example
insinto /etc/logrotate.d
newins "${FILESDIR}/${PN}.logrotated" "${PN}"
newinitd "${FILESDIR}/${PN}.initd" "${PN}"
newconfd "${FILESDIR}/${PN}.confd" "${PN}"
systemd_dounit "${FILESDIR}/${PN}.service"
keepdir /var/log/${PN}
fowners ${PN}:${PN} /var/log/${PN}
}

@ -0,0 +1,86 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit fcaps go-module systemd
DESCRIPTION="A tool for managing secrets"
HOMEPAGE="https://vaultproject.io/"
VAULT_WEBUI_ARCHIVE="${P}-webui.tar.xz"
SRC_URI="https://github.com/zmedico/vault/archive/refs/tags/v${PV}-vendor.tar.gz -> ${P}-vendor.tar.gz
webui? (
https://dev.gentoo.org/~zmedico/dist/${VAULT_WEBUI_ARCHIVE}
)"
LICENSE="MPL-2.0 Apache-2.0 BSD BSD-2 CC-BY-SA-4.0 ISC MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm64"
IUSE="+webui"
BDEPEND="
app-arch/zip
dev-go/gox
>=dev-lang/go-1.15.3"
COMMON_DEPEND="acct-group/vault
acct-user/vault"
DEPEND="${COMMON_DEPEND}"
RDEPEND="${COMMON_DEPEND}"
FILECAPS=(
-m 755 'cap_ipc_lock=+ep' usr/bin/${PN}
)
RESTRICT+=" test"
S=${WORKDIR}/${P}-vendor
src_unpack() {
default
}
src_prepare() {
default
# Avoid the need to have a git checkout
sed -e 's:^\(GIT_COMMIT=\).*:\1:' \
-e 's:^\(GIT_DIRTY=\).*:\1:' \
-e s:\'\${GIT_COMMIT}\${GIT_DIRTY}\':: \
-e "s|^BUILD_DATE=.*|BUILD_DATE=$(date +%Y-%m-%dT%H:%M:%SZ)|" \
-i scripts/build.sh || die
sed -e "/hooks/d" \
-e 's|^\([[:space:]]*\)goimports .*)|\1true|' \
-e "s/gofumpt/gofmt/g" \
-i Makefile || die
if [[ -d "${WORKDIR}/http/web_ui" ]]; then
rm -rf "${S}/http/web_ui" || die
mv "${WORKDIR}/http/web_ui" "${S}/http/web_ui" ||
die "mv failed"
else
mkdir -p "${S}/http/web_ui" || die
touch "${S}/http/web_ui/no_web_ui" || die
fi
}
src_compile() {
mkdir "${T}"/bin || die
BUILD_TAGS="$(usex webui ui '')" \
GOPATH="${T}" \
XC_ARCH=$(go env GOARCH) \
XC_OS=$(go env GOOS) \
XC_OSARCH=$(go env GOOS)/$(go env GOARCH) \
emake bin
}
src_install() {
dobin bin/${PN}
dodoc CHANGELOG.md CONTRIBUTING.md README.md
insinto /etc/${PN}.d
doins "${FILESDIR}/"*.json.example
insinto /etc/logrotate.d
newins "${FILESDIR}/${PN}.logrotated" "${PN}"
newinitd "${FILESDIR}/${PN}.initd" "${PN}"
newconfd "${FILESDIR}/${PN}.confd" "${PN}"
systemd_dounit "${FILESDIR}/${PN}.service"
keepdir /var/log/${PN}
fowners ${PN}:${PN} /var/log/${PN}
}

@ -10,7 +10,7 @@ inherit distutils-r1 prefix
if [[ ${PV} = 9999* ]]
then
EGIT_REPO_URI="git://anongit.gentoo.org/proj/${PN}.git"
EGIT_REPO_URI="https://anongit.gentoo.org/proj/${PN}.git"
inherit git-r3
else
SRC_URI="https://dev.gentoo.org/~blueness/${PN}/${P}.tar.bz2"

Binary file not shown.

@ -11,7 +11,7 @@ SRC_URI="https://savannah.nongnu.org/download/${PN}/${P}.tar.gz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="amd64 ~arm64 ppc ~ppc64 ~riscv ~sparc x86"
KEYWORDS="amd64 ~arm64 ~ia64 ppc ~ppc64 ~riscv ~sparc x86"
DEPEND="dev-lang/perl"
RDEPEND="${DEPEND}

@ -1 +1,2 @@
DIST file-roller-3.42.0.tar.xz 878968 BLAKE2B af3a8bb566a0549434f20911315358dbcfb98aab17ca47adaad166f620fc3b8cfc6b60301842a55a0d35ca29f6317b16d07497de759b55bc42b61100e7357066 SHA512 ad151e1dc6546ca45550ab4c7384fb89e91dc2fc17a29437922192fefd5cbcd115d1f064e090dac48ae3fca33709a54bac918cbe03cbfd0e6fc3554913dd8322
DIST file-roller-43.0.tar.xz 894308 BLAKE2B 85bf73947e153a3b40507e524c35f8be98a08a9ce5916e24ef44559400d7d44e4e0fbd94de8b5638fd1da967ff007894011624ccf9ad8c3481cac63aba3da6e5 SHA512 dff3d9ef5c96e5957fb4ca146072b5fdf0309299d0b1a4ab6db55e24a0652b52ba45915121db4d59d9b1ab60b4c3c64bbb56799a46a0eac5609236f4e1251837

@ -0,0 +1,103 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit gnome.org gnome2-utils meson readme.gentoo-r1 xdg
DESCRIPTION="Archive manager for GNOME"
HOMEPAGE="https://wiki.gnome.org/Apps/FileRoller"
LICENSE="GPL-2+ CC-BY-SA-3.0"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
IUSE="gtk-doc +introspection nautilus"
REQUIRED_USE="gtk-doc? ( introspection )"
# gdk-pixbuf used extensively in the source
# cairo used in eggtreemultidnd.c
# pango used in fr-window
RDEPEND="
>=dev-libs/glib-2.38:2
>=x11-libs/gtk+-3.22.0:3
>=gui-libs/libhandy-1.5.0:1
nautilus? ( >=gnome-base/nautilus-43.0 )
>=dev-libs/json-glib-0.14
>=app-arch/libarchive-3.2:=
introspection? ( dev-libs/gobject-introspection )
x11-libs/cairo
x11-libs/gdk-pixbuf:2
x11-libs/pango
"
DEPEND="${RDEPEND}"
BDEPEND="
dev-util/glib-utils
dev-util/itstool
>=sys-devel/gettext-0.19.8
virtual/pkgconfig
gtk-doc? ( dev-util/gi-docgen )
"
DISABLE_AUTOFORMATTING="yes"
DOC_CONTENTS="
${PN} is a frontend for several archiving utilities. If you want a
particular archive format support, see ${HOMEPAGE}
and install the relevant package. For example:
7-zip - app-arch/p7zip
ace - app-arch/unace
arj - app-arch/arj
brotli - app-arch/brotli
cpio - app-arch/cpio
deb - app-arch/dpkg
iso - app-cdr/cdrtools
jar,zip - app-arch/zip and app-arch/unzip
lha - app-arch/lha
lzop - app-arch/lzop
lz4 - app-arch/lz4
rar - app-arch/unrar or app-arch/unar
rpm - app-arch/rpm
unstuff - app-arch/stuffit
zstd - app-arch/zstd
zoo - app-arch/zoo"
src_prepare() {
# File providing Gentoo package names for various archivers
cp -v "${FILESDIR}"/3.36-packages.match data/packages.match || die
default
xdg_environment_reset
}
src_configure() {
local emesonargs=(
-Drun-in-place=false
$(meson_feature nautilus nautilus-actions)
-Dnotification=enabled
-Duse_native_appchooser=false
-Dpackagekit=false
-Dlibarchive=enabled
$(meson_feature introspection)
$(meson_feature gtk-doc api_docs)
)
meson_src_configure
}
src_install() {
meson_src_install
if use gtk-doc; then
mkdir -p "${ED}"/usr/share/gtk-doc/ || die
mv "${ED}"/usr/share/doc/file-roller "${ED}"/usr/share/gtk-doc/file-roller || die
fi
readme.gentoo_create_doc
}
pkg_postinst() {
xdg_pkg_postinst
gnome2_schemas_update
readme.gentoo_print_elog
}
pkg_postrm() {
xdg_pkg_postrm
gnome2_schemas_update
}

@ -2,5 +2,7 @@ DIST xz-5.2.5.tar.gz 1791345 BLAKE2B aded57324e129572c41646b3cc3b0b59a459452d933
DIST xz-5.2.5.tar.gz.sig 566 BLAKE2B 8b40d8d7913eaebe2595ea41a735d972d1969d8b58f42b2bee6591b51e2e626473fc85d64f1bbbff3cba6b0e1b4423556d6ddaf16f646ccc18ba1bad5cf45d83 SHA512 3aa21484bef0282ed0b83e3fcd5cf3d87bf51fa68e24d55bb11f91bc96f0ac29f468949bc4c8cc20fbd6ad12f5735686fe09ee42efe2b8d728010da9668aa5a9
DIST xz-5.2.6.tar.gz 2069602 BLAKE2B 3cc160dc76944ad2a181fbfb23ce386dbbd04e75bbeb0b159aaaf82e2e8157ea8b2bb80b216d79a7c25339bfbd13bd9d8c261789829cc7c3cb86fc893a7b4b94 SHA512 090958dd6c202c989746686094c86707ad4ae835026640080fc0a9d0fad699821b7d5cb3a67e6700661a0938818ba153662366f89ab8ec47e0bae4a3fe9b1961
DIST xz-5.2.6.tar.gz.sig 566 BLAKE2B 7c6114d93b4e3c8553108da3985029fc4585bfea5d72fc5028024221e91cc43c3b6cd3b7d169e4c8afed445a6beef7c255ef8420c5266a22ee9449a57cacec5d SHA512 50a1ac0f8f87f8c04c25c69870ba054094abf20b668bdecd42ed247a2eff24b8e52178b6442da84c125a9401a6f98d40ca76b27453833a30807c83128ab70eee
DIST xz-5.2.7.tar.gz 2105803 BLAKE2B 5363c5d0403e041c6d2e35b5d3321feeb8e63b8556496373c820975850b50e28e0da903446a49ba516fd9f40e0101dd39cfa9a9b8dd143c9849c84a715bb5d7b SHA512 06329fdbd1d897aa99dc96900c6246457288c586d02bb4869a92dd2f97973f95acb3a2fa9598a20613ea029f816836a8e3b65e36fec2b807b5e7553141429ab9
DIST xz-5.2.7.tar.gz.sig 566 BLAKE2B 00702dff24d655ebf30f2bf8bee94406e002164408b9eabb4f461a789482584c2b9c90675b8d1d5e030913e674946aa7392b73fcedf6ac62e3b1e3bc05bf92e6 SHA512 556e05107437fae2c75cc1a93465fce04426707e979403f41c6ee5b748fe7c3f985812a4e3b07785a84f68ef9d9f362ded470af1cceb9f4e8c80620a2699163f
DIST xz-5.3.3alpha.tar.gz 2119150 BLAKE2B 031e1a1556cbbd49565c2b72676e46a22c00e0e25bca2938c21d56f2d7f585c294d2a3a5712a3ae5d62fe8fef6e7b2f411fcc3c0ccac4714786209599b599d25 SHA512 c780c6854cb7599ed97629dbf923f5c6802b48e12aa25638c863e2403e56557abffb2b501823d4d53c852b7d09360b9ede355989756fef1daa1fa8cd9395da8d
DIST xz-5.3.3alpha.tar.gz.sig 566 BLAKE2B 2a02fd8a84c27967384021aa879efdf598b40ca9ff552080be2d057f402b3aace13bb0d98574e0185edd6ee3084793767f9941d4c1f21f5c5d55f886025cb845 SHA512 e6a849f2dd6f67ad3d51f50fe5f3e7f2a57e97e9d89499e2f88b94ab9716f1db5de34c3bb6f17b6fd55498ee5f4653d3d25e1a495b9c682b3200b2603a85479f

@ -0,0 +1,113 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# Remember: we cannot leverage autotools in this ebuild in order
# to avoid circular deps with autotools
EAPI=7
inherit libtool multilib multilib-minimal preserve-libs usr-ldscript
if [[ ${PV} == 9999 ]] ; then
EGIT_REPO_URI="https://git.tukaani.org/xz.git"
inherit git-r3 autotools
# bug #272880 and bug #286068
BDEPEND="sys-devel/gettext >=sys-devel/libtool-2"
else
VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/lassecollin.asc
inherit verify-sig
MY_P="${PN/-utils}-${PV/_}"
SRC_URI="https://tukaani.org/xz/${MY_P}.tar.gz"
SRC_URI+=" verify-sig? ( https://tukaani.org/xz/${MY_P}.tar.gz.sig )"
if [[ ${PV} != *_alpha* && ${PV} != *_beta* ]] ; then
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
fi
S="${WORKDIR}/${MY_P}"
fi
DESCRIPTION="Utils for managing LZMA compressed files"
HOMEPAGE="https://tukaani.org/xz/"
# See top-level COPYING file as it outlines the various pieces and their licenses.
LICENSE="public-domain LGPL-2.1+ GPL-2+"
SLOT="0"
IUSE="+extra-filters nls static-libs"
if [[ ${PV} != 9999 ]] ; then
BDEPEND+=" verify-sig? ( sec-keys/openpgp-keys-lassecollin )"
fi
# Tests currently do not account for smaller feature set
RESTRICT="!extra-filters? ( test )"
src_prepare() {
default
if [[ ${PV} == 9999 ]] ; then
eautopoint
eautoreconf
else
# Allow building shared libs on Solaris/x64
elibtoolize
fi
}
multilib_src_configure() {
local myconf=(
--enable-threads
$(use_enable nls)
$(use_enable static-libs static)
)
if ! multilib_is_native_abi ; then
myconf+=(
--disable-{xz,xzdec,lzmadec,lzmainfo,lzma-links,scripts}
)
fi
if ! use extra-filters ; then
myconf+=(
# LZMA1 + LZMA2 for standard .lzma & .xz files
--enable-encoders=lzma1,lzma2
--enable-decoders=lzma1,lzma2
# those are used by default, depending on preset
--enable-match-finders=hc3,hc4,bt4
# CRC64 is used by default, though some (old?) files use CRC32
--enable-checks=crc32,crc64
)
fi
if [[ ${CHOST} == *-solaris* ]] ; then
export gl_cv_posix_shell="${EPREFIX}"/bin/sh
# Undo Solaris-based defaults pointing to /usr/xpg5/bin
myconf+=( --disable-path-for-script )
fi
ECONF_SOURCE="${S}" econf "${myconf[@]}"
}
multilib_src_install() {
default
gen_usr_ldscript -a lzma
}
multilib_src_install_all() {
find "${ED}" -type f -name '*.la' -delete || die
rm "${ED}"/usr/share/doc/${PF}/COPYING* || die
}
pkg_preinst() {
preserve_old_lib /usr/$(get_libdir)/liblzma$(get_libname 0)
}
pkg_postinst() {
preserve_old_lib_notify /usr/$(get_libdir)/liblzma$(get_libname 0)
}

@ -38,10 +38,6 @@ LICENSE="public-domain LGPL-2.1+ GPL-2+"
SLOT="0"
IUSE="+extra-filters nls static-libs"
RDEPEND="!<app-arch/lzma-4.63
!<app-arch/p7zip-4.57
!<app-i18n/man-pages-de-2.16"
DEPEND="${RDEPEND}"
if [[ ${PV} != 9999 ]] ; then
BDEPEND+=" verify-sig? ( sec-keys/openpgp-keys-lassecollin )"
fi

@ -37,10 +37,6 @@ LICENSE="public-domain LGPL-2.1+ GPL-2+"
SLOT="0"
IUSE="+extra-filters nls static-libs"
RDEPEND="!<app-arch/lzma-4.63
!<app-arch/p7zip-4.57
!<app-i18n/man-pages-de-2.16"
DEPEND="${RDEPEND}"
if [[ ${PV} != 9999 ]] ; then
BDEPEND+=" verify-sig? ( sec-keys/openpgp-keys-lassecollin )"
fi

Binary file not shown.

@ -1,2 +1,3 @@
DIST duplicity-0.8.22.tar.gz 1408482 BLAKE2B 3a8b6eb79d5f67e8f274bdaaaf0bb5b6c9f0ebf91a3b6a849b876cdf2c9af0f5435946150b5db6ab5e524cedc5b98b40c456b1de0fe8c6e33c024fe3c7d881fa SHA512 474237e3ca9876fb124baf9871f781b8347c85e76b7b4191d6993a76fb4728500091c74ed0943c6c22d69651c08094b6d155eca742d1711bebe676734c84d12a
DIST duplicity-0.8.23.tar.gz 1385252 BLAKE2B 63042486e6e17d2d93af72f617990c879763d5921e230302f406b4f9e7c57a67284130f9f57849b9ffc8638614b55f0f8abdf6bb20201155b33b72bef952ec9f SHA512 083cf0060a8c7a8472c6ee4ffbb87e85edf0fcdaba95862a9f272cc03d8ab3d18b584a8d256473e6cfab9eed6f993382b846b692a8c0dd46fd3a2d8215e54e45
DIST duplicity-rel.1.0.0.tar.bz2 802941 BLAKE2B 7b5f33b2b8b0f938a86688ea68838fd45a1405e69cc59e9cc082035253d123258f6a30239ecc470e9210b5bafeda556909fe94887517be8c75a2c18641de66b0 SHA512 a3a0a8eee8f2555f275676c24c3e0933ef0ba267b64eccb7765dad751e58aae3ed0ffac4c4cee3acd3dd76c93bb799edb7fe1430ae159389174cc37ab646f339

@ -12,7 +12,7 @@ SRC_URI="https://code.launchpad.net/${PN}/$(ver_cut 1-2)-series/$(ver_cut 1-3)/+
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~x64-macos"
KEYWORDS="amd64 ~x86 ~amd64-linux ~x86-linux ~x64-macos"
IUSE="s3 test"
CDEPEND="

@ -0,0 +1,53 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_8 python3_9 python3_10 python3_11 )
inherit distutils-r1
DESCRIPTION="Secure backup system using gnupg to encrypt data"
HOMEPAGE="https://duplicity.gitlab.io/"
SRC_URI="https://gitlab.com/duplicity/duplicity/-/archive/rel.${PV}/duplicity-rel.${PV}.tar.bz2"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~x64-macos"
IUSE="s3 test"
CDEPEND="
net-libs/librsync
app-crypt/gnupg
dev-python/fasteners[${PYTHON_USEDEP}]
"
DEPEND="${CDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/setuptools_scm[${PYTHON_USEDEP}]
test? (
app-arch/par2cmdline
dev-python/mock[${PYTHON_USEDEP}]
dev-python/pexpect[${PYTHON_USEDEP}]
)
"
RDEPEND="${CDEPEND}
dev-python/paramiko[${PYTHON_USEDEP}]
dev-python/future[${PYTHON_USEDEP}]
s3? ( dev-python/boto3[${PYTHON_USEDEP}] )
"
RESTRICT="test"
PATCHES=(
"${FILESDIR}/${P}-fix-docs-cmd.patch"
)
S="${WORKDIR}/duplicity-rel.${PV}"
python_test() {
esetup.py test
}
pkg_postinst() {
elog "Duplicity has many optional dependencies to support various backends."
elog "Currently it's up to you to install them as necessary."
}

@ -0,0 +1,20 @@
--- duplicity-rel.1.0.0/setup.py 2022-03-19 15:08:36.755624771 -0400
+++ duplicity-rel.1.0.0/setup.py 2022-03-19 15:09:38.332763172 -0400
@@ -94,17 +94,6 @@
u'bin/rdiffdir.1'
]
),
- (u'share/doc/duplicity-%s' % Version,
- [
- u'CHANGELOG.md',
- u'CONTRIBUTING.md',
- u'COPYING',
- u'README.md',
- u'README-LOG.md',
- u'README-REPO.md',
- u'README-TESTING.md',
- ],
- ),
]
if not os.environ.get(u'READTHEDOCS') == u'True':

@ -1,11 +1,11 @@
# Copyright 1999-2021 Gentoo Authors
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="A shell frontend for duplicity"
HOMEPAGE="https://duply.net"
SRC_URI="https://jztkft.dl.sourceforge.net/project/ftplicity/${PN}%20%28simple%20duplicity%29/2.3.x/${PN}_${PV}.tgz"
SRC_URI="https://jztkft.dl.sourceforge.net/project/ftplicity/${PN}%20%28simple%20duplicity%29/$(ver_cut 1-2).x/${PN}_${PV}.tgz"
LICENSE="GPL-2"
SLOT="0"

Binary file not shown.

@ -1 +1 @@
DIST stress-ng-0.14.05.tar.gz 3697305 BLAKE2B f3ce81f93d5a080f62fb1bf0822447b5b09c4cce8601259c15f203d0dbcce40d0b601dc7448e925bfcaf3ea9f28a9c0e606afa9faec7af94814c6c1d68181424 SHA512 b1d1be23ace46d87d4cdef1e7915aaa2e74ac5314ef0cc584ef07fd1533107896c65245fadfb5d4367b935e04583c7fd2f90a3d2a76bdf96dffa4af04a367891
DIST stress-ng-0.14.06.tar.gz 3705069 BLAKE2B fbc7b73cf85f82bb4c7172c4a275c793f553b95b0db36324d83cef2f6fb7e548b9a9222319a5a3ca5aae857916dd0cdd804cae275c575ec2bac912a37917e8a6 SHA512 8d670fe7cc10106839cde891149ad92f0ec025aa2ec4c7d7f60f19728fc2b68f47245303d47ceddc5f17607766a0fe4cfceea83275c7d9c8093f12cc827112b4

@ -11,7 +11,7 @@ SRC_URI="https://github.com/ColinIanKing/${PN}/archive/refs/tags/V${PV}.tar.gz -
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~sparc ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc64 ~riscv ~sparc ~x86"
IUSE="apparmor sctp"
DEPEND="

Binary file not shown.

@ -1,6 +1,4 @@
DIST cosign-1.10.0-deps.tar.xz 393342088 BLAKE2B 527a143a1a81b86c8d2d2186c6e18111aa46a7cd908c77bf8f6cc7ebd53a4a8461168dacf46d97dc7e2a14d9e7fe1d7cc59cd81a4fd695177863ec5893577ba3 SHA512 9b764f7d642fd2b7ad3210d7b0fe16b1d5d24ea581266e4f43b0039cb63b1dfbac8fa6826d0359ac3a85575fb03562938ced72e6673fe9a5a4fe85601001adba
DIST cosign-1.10.0.tar.gz 7140596 BLAKE2B 796ada75ce24ba8d2c7ad8702b9abeb82fd3ae75decac58c8e95f41bda7420056659cf76b4d79a1eaf3e3752c91ebb5da7bbb8bfbcfc0e99bea335ee7566183d SHA512 8ce41349737835945b0a5fe66d9b87b8747301c4e067db305ad7fc573bb8e86b2c6ae787944e01f8490a6db7aba72c33e285f098d0b7c710f1e54814a9cb2cdd
DIST cosign-1.8.0-deps.tar.xz 541301856 BLAKE2B fb1fd9c2570f327876a5d151261f906951c57fdbaa6eefe1dcb84166f71ae381053f44a3d8a5707660cba066435aa6747aa5c47896b19b461954f6c824c33cd2 SHA512 b2773c1f07d32edc6a4ba02c487a3620eea141f29b425159eb2973ef32867afa7f334fdde2a23d00c84314a236b3bd513f1ea8faf231204a7fd9358ba0ba5234
DIST cosign-1.8.0.tar.gz 7217748 BLAKE2B 2d9625609f86cad05770085617cd80335d62554e608f64abf96a3dcf5f0d4449b850d493ce2faff2593d0f996d2ace3f304d89ef99c7bfa2a2027a419ae6da1d SHA512 7d45e80ae5fa15fa7fe14bc5cd13a159356b58afc3baebac5d2c64fa38c74e73a3d17f75bed0730fe842da63de5487c54dfb9f77bbffa1f943281b74d3b30c94
DIST cosign-1.9.0-deps.tar.xz 543778128 BLAKE2B 56f1e75c4199ae8bb33e71546709ebf621bab8123036f80e61624929e46d679353a211eb2da30197181f285033293c35f055977d762684bfc88d843deb06edc6 SHA512 07942be16e53e4325b3026b51557f352d45eee0d0b4cf84d823ebdd53573630c9e461f8dd6e93068dc20e6f25d589241a4e809839c7aa2aab65e3b7aebc2f3a3
DIST cosign-1.9.0.tar.gz 7240352 BLAKE2B c6b9c617e288b6104d683a1b1ce8c22897e122a70429dd3db2a4643b91d4cf492c1fcd016ac4bcae32de51464aea538babbb04a8fe7d3b3275310adba528d945 SHA512 1a2a7b32aa0d4f2ad90113a3b5923390d29564d3ddc5e9c8539c8ad646541734164942e93d56321b9ff78910532911272a0e3ee007c2066e40656caac17d6c16
DIST cosign-1.12.1-deps.tar.xz 383293220 BLAKE2B d409b64f47c780afcb5e500520c798cdc3035ea773b5f121d1269755edefe43f8a7445072b565accc20507e7e536cc7dab8ea250076a0652127e123b3d1809d2 SHA512 ed0e040f392178ddc954f1e38f4d5562c9840fcfa22a24024c8f20857b4b7f281ba525bbb28286cb883fbd82e11ce74c642d6261c79375f35dcd98da4332ef51
DIST cosign-1.12.1.tar.gz 6638172 BLAKE2B f748e993cc2c37a67c42255b8c08ca6471c31fb02251ca7d42b8c7e85003aa879907421fc2df2bd8e0e4080865b33ceeafd47fd7b538969bd80f3b566e6aecf8 SHA512 ed53561a37a308481f158acf91e8cdb0dea8d348eb3cc30b3f882717fd18defc6cac330131c5b93609b587c2b8cefa000b1e1a9de5d0a070534f05aa09c55bd9

@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=8
GIT_HASH=9ef6b207218572b3257a5b4251418d75569baaae
GIT_HASH=0baa044bea61e7c16d56023be20ead3d9204b24a
inherit go-module
DESCRIPTION="container signing utility"

@ -1,29 +0,0 @@
# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
GIT_HASH=a4cb262dc3d45a283a6a7513bb767a38a2d3f448
inherit go-module
DESCRIPTION="container signing utility"
HOMEPAGE="https://sigstore.dev"
SRC_URI="https://github.com/sigstore/cosign/archive/v${PV}.tar.gz -> ${P}.tar.gz"
SRC_URI+=" https://dev.gentoo.org/~williamh/dist/${P}-deps.tar.xz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
RESTRICT="test"
src_compile() {
emake \
GIT_HASH=${GIT_HASH} \
GIT_VERSION=v${PV} \
GIT_TREESTATE=clean
}
src_install() {
dobin cosign
einstalldocs
}

@ -1,4 +1,6 @@
DIST docker-compose-1.29.2.tar.gz 320320 BLAKE2B 2d1a6375127fa09661822f7148665161b45bbd234c93444ae31c1d926513fcbc9fb845f8af01d8f11788f24b7517bff5f6cea2a5da9ade897891f2dd728f26bd SHA512 09f2ae2ae7a17ab5fb3e22580f7a80f1a8253f7ad9fc8f29aca432911bcde46ed22030ff3073cdd7eff3d55aaba17f56e628a178ec05c3a9b4f28495d6045111
DIST docker-compose-2.11.2-deps.tar.xz 122617800 BLAKE2B 47fe7f6e1f0321498a4b0a060ea88758355be6ecd9b7798e3f614a62c93c5508dea744ab0437626c94d33ecee91f4d9e9ede0a4f26754ae96cc070b9e3377af5 SHA512 3f36191b35bb17d02d0c85ba64a2d79f6128f2d3ac1d1921ff348f165bbc92a91e92c20374159b6e7ed140a0a08f698473f0da35dd2e140ad3675c8eddc9fda3
DIST docker-compose-2.11.2.tar.gz 303314 BLAKE2B e395a820f0ef414021427ae01d390e30c8d6287c12b2b72c7e08f88219580370185bc48dbf31a30548c7b6f0ce0f070faa488d29689fbcd0d14af2b4fa2e4a67 SHA512 174ef8e38dce65f6ce117f8efdd24049dd9e56aa7c619242b4514ba258461ec1d65b2d226601a6efb3caf7b8516ba5c65af48854f70a2eff25adcdd3f9b9f697
DIST docker-compose-2.5.0-deps.tar.xz 110626568 BLAKE2B 657d4d421172a6ba3516475045af50ef2351cc847933a799b7232ad6a46485d7961ad5875c9f19bf96d39adf275ca943d02fba2b939a210c080c6d38211e56f5 SHA512 231416474c6b3f73911bc7cf344ea5bfdb719cecf6ad7b159c755814df08ffcb60d05ccbdd294211cb7f64a52a5a81e2dfd357bdc10738918d47a75909d20bf9
DIST docker-compose-2.5.0.tar.gz 274812 BLAKE2B cf3b49cc13a8ab37d6426e78f4d9fca9a7b629346d292458e32ca2b66d20ba49929cc354d570b05deec3a0e0ac7778a02045ea87070059fc20c352f2d2ddb589 SHA512 7b556394e58dcdd49229c608d0672fe1aa5bd0b715f49b4b3e2ecbea16cc4962deb7e816ea057a8a565c598c21207316b8f7b5e41f0af0c3f330054ae81c2703
DIST docker-compose-2.6.0-deps.tar.xz 110634424 BLAKE2B a63f67babac39bb3cc01cdf1a6db24d6612f0d1e9d41eb4d60e83153f3acc5f096cc323a28cba8ae7ff0e43c18b10427cf80a235e8d3463827487d479ef0db3e SHA512 d3001fda9da5523594d684db4f12c85c41a4b6e64d7f97b774d0d3ce68c7c301d466f7a4e2a1c9e17b23fca124b6fc253746255919b5212f7bb6d72d3bed85e5

@ -0,0 +1,50 @@
# Copyright 2018-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit bash-completion-r1 go-module
MY_PV=${PV/_/-}
DESCRIPTION="Multi-container orchestration for Docker"
HOMEPAGE="https://github.com/docker/compose"
SRC_URI="https://github.com/docker/compose/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
SRC_URI+=" https://dev.gentoo.org/~williamh/dist/${P}-deps.tar.xz"
LICENSE="Apache-2.0"
SLOT="2"
KEYWORDS="~amd64 ~arm64"
RDEPEND=">=app-containers/docker-cli-20.10.3"
S="${WORKDIR}/compose-${MY_PV}"
src_prepare() {
default
# do not strip
sed -i -e 's/-s -w//' Makefile || die
}
src_compile() {
emake VERSION=v${PV}
}
src_test() {
emake test
}
src_install() {
exeinto /usr/libexec/docker/cli-plugins
doexe bin/build/docker-compose
dodoc README.md
}
pkg_postinst() {
has_version =app-containers/docker-compose-1* || return
ewarn
ewarn "docker-compose 2.x is a sub command of docker"
ewarn "Use 'docker compose' from the command line instead of"
ewarn "'docker-compose'"
ewarn "If you need to keep 1.x around, please run the following"
ewarn "command before your next --depclean"
ewarn "# emerge --noreplace docker-compose:0"
}

Binary file not shown.

@ -1,2 +1,3 @@
DIST gcr-3.41.0.tar.xz 1039744 BLAKE2B c646a04168310051d5b582a9d2f7ab9da89eef095e856e56b8d730600debead051ad8bb40eddb7457b1be2be3e092227dd886f647258a9c6a81d4bab728245f7 SHA512 455acc40ed77feeb35f9845b00229f468b322b7eda0b1b5abb0153f0a6ba29f3d0364df22225143f4caf130254a1258b3c7f934370e5142f2f64e1c3084b6f6e
DIST gcr-3.41.1.tar.xz 1030368 BLAKE2B 9d254b7f2ad864c45200e58b685db97c1ffbc83d29ba8cbda94d30ec565aa3dc5a2535305dc63b3264131b68ec9e48f37ac30d5ba08d0ce156f3b6091cd62dc1 SHA512 dd70d41636ede863d05824b26823a8f572902f7a9b6f09b0c70586ef0d4c046864e6956130b9231850a515a9fbfcd56faf20354c1cf8f697f005827c048a2325
DIST gcr-3.92.0.tar.xz 719608 BLAKE2B 770946582ada19d4282b0adfe77c4eabf08439430b89397a16829259162a940df44a5abf7e2dddd6e13c075449c7b4e5529dd95b781f67b4437246bca8989100 SHA512 bd566c8846e1ee99f82eefd9f7fbc5959c09bf383fef9c7bdc82b6c2c9c7634faaddcf6d91b0eca10b69a99e8f954272c3decf0594864351a48a5473e2bb5db3

@ -0,0 +1,106 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..11} )
inherit gnome.org gnome2-utils meson python-any-r1 vala xdg
DESCRIPTION="Libraries for cryptographic UIs and accessing PKCS#11 modules"
HOMEPAGE="https://gitlab.gnome.org/GNOME/gcr"
LICENSE="GPL-2+ LGPL-2+"
SLOT="0/1" # subslot = suffix of libgcr-base-3 and co
IUSE="gtk gtk-doc +introspection systemd test +vala"
REQUIRED_USE="
gtk-doc? ( introspection )
vala? ( introspection )
"
RESTRICT="!test? ( test )"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
DEPEND="
>=dev-libs/glib-2.44.0:2
>=dev-libs/libgcrypt-1.2.2:0=
>=app-crypt/p11-kit-0.19.0
>=app-crypt/libsecret-0.20
systemd? ( sys-apps/systemd:= )
gtk? ( >=x11-libs/gtk+-3.22:3[introspection?] )
>=sys-apps/dbus-1
introspection? ( >=dev-libs/gobject-introspection-1.58:= )
"
RDEPEND="${DEPEND}"
PDEPEND="app-crypt/gnupg"
BDEPEND="
${PYTHON_DEPS}
gtk? ( dev-libs/libxml2:2 )
dev-util/gdbus-codegen
dev-util/glib-utils
gtk-doc? ( dev-util/gi-docgen )
>=sys-devel/gettext-0.19.8
test? ( app-crypt/gnupg )
virtual/pkgconfig
vala? ( $(vala_depend) )
"
PATCHES=(
"${FILESDIR}"/3.38.0-optional-vapi.patch
)
pkg_setup() {
python-any-r1_pkg_setup
}
src_prepare() {
default
use vala && vala_setup
xdg_environment_reset
}
src_configure() {
local emesonargs=(
$(meson_use introspection)
$(meson_use gtk)
$(meson_use gtk-doc gtk_doc)
-Dgpg_path="${EPREFIX}"/usr/bin/gpg
-Dssh_agent=true
$(meson_feature systemd)
$(meson_use vala vapi)
)
meson_src_configure
}
src_test() {
dbus-run-session meson test -C "${BUILD_DIR}" || die 'tests failed'
}
src_install() {
meson_src_install
# These files are installed by gcr:4
local conflicts=(
"${ED}"/usr/libexec/gcr-ssh-agent
)
use systemd && conflicts+=(
"${ED}"/usr/lib/systemd/user/gcr-ssh-agent.{service,socket}
)
einfo "${conflicts[@]}"
rm "${conflicts[@]}" || die
if use gtk-doc; then
mkdir -p "${ED}"/usr/share/gtk-doc/html/ || die
mv "${ED}"/usr/share/doc/{gck-1,gcr-3,gcr-ui-3} "${ED}"/usr/share/gtk-doc/html/ || die
fi
}
pkg_postinst() {
xdg_pkg_postinst
gnome2_schemas_update
}
pkg_postrm() {
xdg_pkg_postrm
gnome2_schemas_update
}

@ -19,7 +19,7 @@ REQUIRED_USE="
"
RESTRICT="!test? ( test )"
KEYWORDS="~alpha amd64 arm arm64 ~ia64 ~loong ~mips ppc ppc64 ~riscv ~sparc x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm arm64 ~ia64 ~loong ~mips ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
DEPEND="
>=dev-libs/glib-2.44.0:2

@ -0,0 +1,93 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..11} )
inherit gnome.org gnome2-utils meson python-any-r1 vala xdg
DESCRIPTION="Libraries for cryptographic UIs and accessing PKCS#11 modules"
HOMEPAGE="https://gitlab.gnome.org/GNOME/gcr"
LICENSE="GPL-2+ LGPL-2+"
SLOT="4/gcr4.3-gck2.1" # subslot = soname and soversion of libgcr and libgck
IUSE="gtk gtk-doc +introspection systemd test +vala"
REQUIRED_USE="
gtk-doc? ( introspection )
vala? ( introspection )
"
RESTRICT="!test? ( test )"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
DEPEND="
>=dev-libs/glib-2.68.0:2
>=dev-libs/libgcrypt-1.2.2:0=
>=app-crypt/p11-kit-0.19.0
>=app-crypt/libsecret-0.20
systemd? ( sys-apps/systemd:= )
gtk? ( gui-libs/gtk:4[introspection?] )
>=sys-apps/dbus-1
introspection? ( >=dev-libs/gobject-introspection-1.58:= )
!<app-crypt/gcr-3.41.1-r1
"
RDEPEND="${DEPEND}"
PDEPEND="app-crypt/gnupg"
BDEPEND="
${PYTHON_DEPS}
gtk? ( dev-libs/libxml2:2 )
dev-util/gdbus-codegen
dev-util/glib-utils
gtk-doc? ( dev-util/gi-docgen )
>=sys-devel/gettext-0.19.8
test? ( app-crypt/gnupg )
virtual/pkgconfig
vala? ( $(vala_depend) )
"
pkg_setup() {
python-any-r1_pkg_setup
}
src_prepare() {
default
use vala && vala_setup
xdg_environment_reset
}
src_configure() {
local emesonargs=(
$(meson_use introspection)
$(meson_use gtk gtk4)
$(meson_use gtk-doc gtk_doc)
-Dgpg_path="${EPREFIX}"/usr/bin/gpg
-Dssh_agent=true
$(meson_feature systemd)
$(meson_use vala vapi)
)
meson_src_configure
}
src_test() {
dbus-run-session meson test -C "${BUILD_DIR}" || die 'tests failed'
}
src_install() {
meson_src_install
if use gtk-doc; then
mkdir -p "${ED}"/usr/share/gtk-doc/html/ || die
mv "${ED}"/usr/share/doc/{gck-2,gcr-4} "${ED}"/usr/share/gtk-doc/html/ || die
fi
}
pkg_postinst() {
xdg_pkg_postinst
gnome2_schemas_update
}
pkg_postrm() {
xdg_pkg_postrm
gnome2_schemas_update
}

@ -1,3 +1 @@
DIST john-1.9.0-jumbo-1.tar.xz 33638768 BLAKE2B 2fd6813e234308408d42581705ee8b25f9217a3dfb43f05483156f7bb67d0ce0d6de9c3ce8c2e4a17bb99bb377119dae2897bc08c800e7bc80bc6cf245400df6 SHA512 c5cb5dc739ee4c666f8479cdf10511fddc391b590c59f90c060d3ccd8449b794ac7b831a6d1f7553883892499e709a66578cfa4d62caef9b7e0a831eb827e808
DIST johntheripper-jumbo-1.9.0_p20210920.tar.gz 47758128 BLAKE2B e85255dc218c43e6358f76eac1e79af01d437a7a1fcddd608a390734fdc4070cbf949b8abc080b82decf4a1f5e32d2baa6d2a09d385a31913d8e988c8732e85e SHA512 5121434ad275921fe6288c51fd9dfd36ed3162387e70e8089bbc266d4a17ea461b72ce26b2004acfb62d95a9ee2d570ef3b3f00c1d031abd8cff2f20c3ab480a
DIST johntheripper-jumbo-1.9.0_p20211129.tar.gz 47758087 BLAKE2B de57218151fbc3bed79322d065ef73deb99b73fb1ce55924197793a320600cc1189dabae43fe5848014c2e72dcb7e1c2a91f2aaba64bd8c7314ded37e23a34c9 SHA512 f8fc6bf102d900bb32c5714bd595a71f67f73a1f0a237d9f851b2f250046307bf1177f3782023cd1bbcc55f9d54fd7b4946e09c7dc1fd908ba6a6bad90b233d6

@ -1,139 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic toolchain-funcs pax-utils
DESCRIPTION="Fast password cracker"
HOMEPAGE="http://www.openwall.com/john/"
MY_PN="JohnTheRipper"
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://github.com/magnumripper/${MY_PN}.git"
inherit git-r3
else
JUMBO="jumbo-1"
MY_PV="${PV}-${JUMBO}"
MY_P="john-${MY_PV}"
SRC_URI="https://www.openwall.com/john/k/${MY_P}.tar.xz"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
S="${WORKDIR}/${MY_P}"
fi
LICENSE="GPL-2"
SLOT="0"
#removed rexgen and commoncrypto
IUSE="custom-cflags kerberos mpi opencl openmp pcap"
DEPEND=">=dev-libs/openssl-1.0.1:0=
virtual/libcrypt:=
mpi? ( virtual/mpi )
opencl? ( virtual/opencl )
kerberos? ( virtual/krb5 )
pcap? ( net-libs/libpcap )
dev-libs/gmp:=
sys-libs/zlib
app-arch/bzip2"
RDEPEND="${DEPEND}
!app-crypt/johntheripper"
PATCHES=(
"${FILESDIR}/${P}-opencl-fix.patch"
"${FILESDIR}/${P}-gcc11.patch"
)
pkg_pretend() {
[[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
}
pkg_setup() {
[[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
}
src_prepare() {
sed -i 's#$prefix/share/john#/etc/john#' src/configure || die
default
}
src_configure() {
cd src || die
use custom-cflags || strip-flags
append-cflags -fcommon
econf \
--disable-native-march \
--disable-native-tests \
--without-commoncrypto \
--disable-rexgen \
--with-openssl \
--with-systemwide \
$(use_enable mpi) \
$(use_enable opencl) \
$(use_enable openmp) \
$(use_enable pcap)
}
src_compile() {
emake -C src
}
src_test() {
pax-mark -mr run/john
#if use opencl; then
#gpu tests fail in portage, so run cpu only tests
# ./run/john --device=cpu --test=0 --verbosity=2 || die
#else
#weak tests
# ./run/john --test=0 --verbosity=2 || die
#strong tests
#./run/john --test=1 --verbosity=2 || die
#fi
ewarn "When built systemwide, john can't run tests without reading files in /etc."
ewarn "Don't bother opening a bug for this unless you include a patch to fix it"
}
src_install() {
# executables
dosbin run/john
newsbin run/mailer john-mailer
pax-mark -mr "${ED}/usr/sbin/john"
# grep '$(LN)' Makefile.in | head -n-3 | tail -n+2 | cut -d' ' -f3 | cut -d/ -f3
for s in \
unshadow unafs undrop unique ssh2john putty2john pfx2john keepass2john keyring2john \
zip2john gpg2john rar2john racf2john keychain2john kwallet2john pwsafe2john dmg2john \
hccap2john base64conv truecrypt_volume2john keystore2john
do
dosym john /usr/sbin/$s
done
# scripts
exeinto /usr/share/john
doexe run/*.pl
doexe run/*.py
cd run
for s in *.pl *.py ; do
dosym ../share/john/$s /usr/bin/$s
done
cd ..
if use opencl; then
insinto /etc/john
doins -r run/kernels
fi
# config files
insinto /etc/john
doins run/*.chr run/password.lst
doins run/*.conf
doins -r run/rules run/ztex
# documentation
rm -f doc/README
dodoc -r README.md doc/*
}

@ -1,145 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit autotools flag-o-matic toolchain-funcs pax-utils
DESCRIPTION="Fast password cracker"
HOMEPAGE="http://www.openwall.com/john/"
MY_PN="JohnTheRipper"
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://github.com/magnumripper/${MY_PN}.git"
inherit git-r3
else
JUMBO="jumbo-1.1"
MY_PV="${PV}-${JUMBO}"
MY_P="john-${MY_PV}"
HASH_COMMIT="43c7f8850736d4ec68bf0a022ae9fb34c274a01d"
SRC_URI="https://github.com/openwall/john/archive/${HASH_COMMIT}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/john-${HASH_COMMIT}"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
fi
LICENSE="GPL-2"
SLOT="0"
IUSE="custom-cflags kerberos mpi opencl openmp pcap"
DEPEND=">=dev-libs/openssl-1.0.1:=
virtual/libcrypt:=
mpi? ( virtual/mpi )
opencl? ( virtual/opencl )
kerberos? ( virtual/krb5 )
pcap? ( net-libs/libpcap )
dev-libs/gmp:=
sys-libs/zlib
app-arch/bzip2"
RDEPEND="${DEPEND}
!app-crypt/johntheripper"
PATCHES=(
"${FILESDIR}"/${PN}-1.9.0-fix-bashism.patch
)
pkg_pretend() {
[[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
}
pkg_setup() {
[[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
}
src_prepare() {
default
cd src || die
eautoreconf
sed -i 's#$prefix/share/john#/etc/john#' configure || die
}
src_configure() {
cd src || die
use custom-cflags || strip-flags
econf \
--enable-pkg-config \
--disable-native-march \
--disable-native-tests \
--disable-rexgen \
--with-openssl \
--with-systemwide \
$(use_enable mpi) \
$(use_enable opencl) \
$(use_enable openmp) \
$(use_enable pcap)
}
src_compile() {
emake -C src
}
src_test() {
pax-mark -mr run/john
#if use opencl; then
#gpu tests fail in portage, so run cpu only tests
# ./run/john --device=cpu --test=0 --verbosity=2 || die
#else
#weak tests
# ./run/john --test=0 --verbosity=2 || die
#strong tests
#./run/john --test=1 --verbosity=2 || die
#fi
ewarn "When built systemwide, john can't run tests without reading files in /etc."
ewarn "Don't bother opening a bug for this unless you include a patch to fix it"
}
src_install() {
# Executables
dosbin run/john
newsbin run/mailer john-mailer
pax-mark -mr "${ED}/usr/sbin/john"
# grep '$(LN)' Makefile.in | head -n-3 | tail -n+2 | cut -d' ' -f3 | cut -d/ -f3
local s
for s in \
unshadow unafs undrop unique ssh2john putty2john pfx2john keepass2john keyring2john \
zip2john gpg2john rar2john racf2john keychain2john kwallet2john pwsafe2john dmg2john \
hccap2john base64conv truecrypt_volume2john keystore2john
do
dosym john /usr/sbin/${s}
done
# Scripts
exeinto /usr/share/john
doexe run/*.pl
doexe run/*.py
cd run || die
local s
for s in *.pl *.py; do
dosym ../share/john/${s} /usr/bin/${s}
done
cd .. || die
if use opencl; then
insinto /etc/john
doins -r run/opencl
fi
# Config files
insinto /etc/john
doins run/*.chr run/password.lst
doins run/*.conf
doins -r run/rules run/ztex
# dDocumentation
rm -f doc/README || die
dodoc -r README.md doc/*
}

@ -94,8 +94,8 @@ src_compile() {
emake LD="$(tc-getCC)" -C src
}
src_test() {
pax-mark -mr run/john
#src_test() {
# pax-mark -mr run/john
#if use opencl; then
# GPU tests fail in portage, so run cpu only tests
@ -107,9 +107,9 @@ src_test() {
#./run/john --test=1 --verbosity=2 || die
#fi
ewarn "When built systemwide, john can't run tests without reading files in /etc."
ewarn "Don't bother opening a bug for this unless you include a patch to fix it"
}
# ewarn "When built systemwide, john can't run tests without reading files in /etc."
# ewarn "Don't bother opening a bug for this unless you include a patch to fix it"
#}
src_install() {
# Executables
@ -132,6 +132,8 @@ src_install() {
exeinto /usr/share/john
doexe run/*.pl
doexe run/*.py
insinto /usr/share/john
doins -r run/lib
cd run || die
local s

@ -90,8 +90,8 @@ src_compile() {
emake LD="$(tc-getCC)" -C src
}
src_test() {
pax-mark -mr run/john
#src_test() {
# pax-mark -mr run/john
#if use opencl; then
# GPU tests fail in portage, so run cpu only tests
@ -103,9 +103,9 @@ src_test() {
#./run/john --test=1 --verbosity=2 || die
#fi
ewarn "When built systemwide, john can't run tests without reading files in /etc."
ewarn "Don't bother opening a bug for this unless you include a patch to fix it"
}
# ewarn "When built systemwide, john can't run tests without reading files in /etc."
# ewarn "Don't bother opening a bug for this unless you include a patch to fix it"
#}
src_install() {
# Executables
@ -128,6 +128,8 @@ src_install() {
exeinto /usr/share/john
doexe run/*.pl
doexe run/*.py
insinto /usr/share/john
doins -r run/lib
cd run || die
local s

@ -1 +1,6 @@
DIST osslsigncode-2.0.tar.gz 57951 BLAKE2B 67057c07bb667a546e3a8abc49e8a20a0ef42ae77edacd2e88486a4357e8e8e789307e1c2abd2e13d18401621ba5607bb42af46ed8451546a26bb6855a07e652 SHA512 aec7b101afd96925fbd70ac67a6752997f0dab3987151c0658e5f011d8a6be6f53518d7a4aba6dff696c722a1e669100143a87d07c3f59364cd62693e9f3e4e5
DIST osslsigncode-2.5.tar.gz 154421 BLAKE2B 44b406f8f2cbac6c89e63ea5aba98e5571e26ecd7f86695879a13199a11025d2689d3e369838cb69c0de7be6c3d06fc7d8709a57ee2132cd25348137d5094417 SHA512 aa491518e6383bad4209616e88cec46e047596afd54067d02be8e7c87030999b6dc715983214e389c2f58fb5b10350b36dfe28e6179b9893fc5266172b2dae01
DIST osslsigncode-test-unsigned.cat 394 BLAKE2B 77a9ebd80feb7ec4f26c0899a760b6463f88ed2301fd3c65c4d72417f7d7d61f0e51c0ca87870500bec51f900aafe05216f4cec888db6c76b292760862da7d00 SHA512 3f4212a4a0822079ba46a90aa80f725d0068bc30e8be057019b2c500633d502f6d879c4ba332c54e1194c148a1fd4d7551a2ba7cb143f2fe53cef5fe94d9364c
DIST osslsigncode-test-unsigned.ex_ 120 BLAKE2B 7036b07cfa8f7d1bcdfc1293671aaa01780bffee0339aa5b63b8db77dd2d77a75ffa51363385c2d40d62d057adf4627afa47f099f8e1206c4eeda67af01bd8fc SHA512 373592e6bffe1da907cfa464fa70d1b64c177beb7fd76325553afb0d721263d35b40508e3ede0a64bd016abb2ce97e104417fa472cd2bb0d92f5d14d5001349c
DIST osslsigncode-test-unsigned.exe 96150 BLAKE2B fd0da9e64473fed792572606f38de8c71e285a557883ac29201b113abc533a32c80ed17330860dd30b9913302ea44433c41d21ba236789ed6d25083f5909960b SHA512 afed867e6a680d7bdfe27e537ccf6496572d79b8b8a90e1886a83d9b8a67c815a54b7bd929819a0cab7b3243c276dd676e51b267a918ace448689d4b424d948b
DIST osslsigncode-test-unsigned.msi 9728 BLAKE2B eb253cce75c5419d1815682c10f1b10357af90317b1dfa71d3b888e5b158017b8f2b3154ae2073bed1fd5f9fd515c2006a0cb0692a70d1876221f3fe5b048f33 SHA512 3c3afa76d5a76dd7eff35b5d8e8b5a5bbcccd23f213591d3a8d0b4e5e97a8dbabb97345b7a93bb459fded5269f5ce1d7afa66baf623c8b8573f95b68fb4a93c1

@ -4,5 +4,6 @@
<!-- maintainer-needed -->
<upstream>
<remote-id type="sourceforge">osslsigncode</remote-id>
<remote-id type="github">mtrojnar/osslsigncode</remote-id>
</upstream>
</pkgmetadata>

@ -1,4 +1,4 @@
# Copyright 1999-2021 Gentoo Authors
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
@ -7,7 +7,7 @@ inherit autotools
DESCRIPTION="Platform-independent tool for Authenticode signing of EXE/CAB files"
HOMEPAGE="https://github.com/mtrojnar/osslsigncode"
SRC_URI="https://github.com/mtrojnar/osslsigncode/archive/2.0.tar.gz -> ${P}.tar.gz"
SRC_URI="https://github.com/mtrojnar/osslsigncode/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"

@ -0,0 +1,58 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..11} )
OSSLSIGNCODE_TEST_FILES=( unsigned.{cat,ex_,exe,msi} )
inherit cmake python-any-r1
DESCRIPTION="Platform-independent tool for Authenticode signing of EXE/CAB files"
HOMEPAGE="https://github.com/mtrojnar/osslsigncode"
SRC_URI="https://github.com/mtrojnar/osslsigncode/releases/download/${PV}/${P}.tar.gz"
for test_file in "${OSSLSIGNCODE_TEST_FILES[@]}" ; do
SRC_URI+=" test? ( https://github.com/mtrojnar/osslsigncode/raw/${PV}/tests/files/${test_file} -> ${PN}-test-${test_file} )"
done
unset test_file
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="curl test"
RESTRICT="!test? ( test )"
RDEPEND="
dev-libs/openssl:=
curl? ( net-misc/curl )
"
DEPEND="${RDEPEND}"
BDEPEND="test? ( ${PYTHON_DEPS} )"
pkg_setup() {
use test && python-any-r1_pkg_setup
}
src_prepare() {
if use test ; then
local test_file
for test_file in "${OSSLSIGNCODE_TEST_FILES[@]}" ; do
cp "${DISTDIR}"/${PN}-test-${test_file} tests/files/${test_file} || die
done
unset test_file
fi
cmake_src_prepare
}
src_configure() {
local mycmakeargs=(
$(cmake_use_find_package curl CURL)
)
cmake_src_configure
}
src_test() {
cmake_src_test -j1
}

@ -1,3 +1,2 @@
DIST pinentry-1.2.0.tar.bz2 498390 BLAKE2B 6e97b55fe39e9c17f8a87fa669d23fca56c1095c2533a9eebe459fafc95a3fcb0a5ea502077aae5480b5259a3096c5f85e05d4872c0b19ad33f3d9084a220cc7 SHA512 19cea79aa3982d1f0d75220c8e24ca38d6c49475c6f4c5aa7101151b4690db23ed316096a4a411136e716ba4eb471f48f9b09556e5c9837533c2356b9b384b63
DIST pinentry-1.2.1.tar.bz2 547698 BLAKE2B aa47612aa3a6f74c3676bf4018780356cb22ed4078792c1f466f9e0465199428c151c0e20dfbe6c784ef93c2b42b673daff0b6adc74c8c98fed9921e65ed42ea SHA512 a665315628f4dcf07e16a22db3f3be15d7e7e93b3deec0546c7275b71b0e3bd65535a08af5e12d6339fd6595132df86529401d9d12bd17c428a3466e8dfafab6
DIST pinentry-1.2.1.tar.bz2.sig 119 BLAKE2B 6a9fc12a09b5122bf531e875977f63fa7caa75d39afcb4e9a9a957df87ba0a6f6156ad9799cdde8625debe0b7c3cb9482616b0ab57c133ffd2f9120ddf47815f SHA512 b14525f6ace3d1fc3dc9e1173de8821fa2a960b870876beb10b98f41222378c1e3f4f79481f3f3854c1753e8dc9a7eb92862ffa583c7be0788ec25045a4e1176

@ -1,25 +0,0 @@
From bafe8608fc525ef103b3d1f3048ca28958bef596 Mon Sep 17 00:00:00 2001
From: Alon Bar-Lev <alon.barlev@gmail.com>
Date: Sun, 5 May 2013 02:23:08 +0300
Subject: [PATCH] ncurses: link with optional tinfo
---
m4/curses.m4 | 2 ++
1 file changed, 2 insertions(+)
diff --git a/m4/curses.m4 b/m4/curses.m4
index 3a01881..ffb6bd1 100644
--- a/m4/curses.m4
+++ b/m4/curses.m4
@@ -36,6 +36,8 @@ AC_DEFUN([IU_LIB_NCURSES], [
have_ncursesw=no
fi
if test "$LIBNCURSES"; then
+ AC_CHECK_LIB(tinfow, curs_set, LIBNCURSES="${LIBNCURSES} -ltinfow",
+ AC_CHECK_LIB(tinfo, curs_set, LIBNCURSES="${LIBNCURSES} -ltinfo"))
# Use ncurses header files instead of the ordinary ones, if possible;
# is there a better way of doing this, that avoids looking in specific
# directories?
--
1.8.1.5

@ -1,52 +0,0 @@
From 7218becac7132c2508d4e8f42c693d69c406795a Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Andrius=20=C5=A0tikonas?= <andrius@stikonas.eu>
Date: Wed, 7 Mar 2018 15:14:22 +0100
Subject: [PATCH] Make pinentry-qt icon work under Plasma Wayland.
---
qt/Makefile.am | 2 ++
qt/main.cpp | 2 ++
qt/org.gnupg.pinentry-qt.desktop | 5 +++++
3 files changed, 9 insertions(+)
create mode 100644 qt/org.gnupg.pinentry-qt.desktop
diff --git a/qt/Makefile.am b/qt/Makefile.am
index 698005e..bbf39d1 100644
--- a/qt/Makefile.am
+++ b/qt/Makefile.am
@@ -24,6 +24,8 @@ bin_PROGRAMS = pinentry-qt
EXTRA_DIST = document-encrypt.png pinentry.qrc
+desktopdir = $(datadir)/applications
+dist_desktop_DATA = org.gnupg.pinentry-qt.desktop
if FALLBACK_CURSES
ncurses_include = $(NCURSES_INCLUDE)
diff --git a/qt/main.cpp b/qt/main.cpp
index fe88d26..b767cb4 100644
--- a/qt/main.cpp
+++ b/qt/main.cpp
@@ -372,6 +372,8 @@ main(int argc, char *argv[])
i = argc;
app = new QApplication(i, new_argv);
app->setWindowIcon(QIcon(QLatin1String(":/document-encrypt.png")));
+ app->setOrganizationDomain(QStringLiteral("gnupg.org"));
+ app->setDesktopFileName(QStringLiteral("org.gnupg.pinentry-qt"));
}
pinentry_parse_opts(argc, argv);
diff --git a/qt/org.gnupg.pinentry-qt.desktop b/qt/org.gnupg.pinentry-qt.desktop
new file mode 100644
index 0000000..0ac89aa
--- /dev/null
+++ b/qt/org.gnupg.pinentry-qt.desktop
@@ -0,0 +1,5 @@
+[Desktop Entry]
+Type=Application
+Name=Pinentry dialog
+Icon=document-encrypt
+NoDisplay=true
--
2.16.1

@ -1,89 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit autotools qmake-utils
DESCRIPTION="Simple passphrase entry dialogs which utilize the Assuan protocol"
HOMEPAGE="https://gnupg.org/aegypten2"
SRC_URI="mirror://gnupg/${PN}/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="caps efl emacs gnome-keyring gtk ncurses qt5"
DEPEND="
>=dev-libs/libassuan-2.1
>=dev-libs/libgcrypt-1.6.3
>=dev-libs/libgpg-error-1.17
caps? ( sys-libs/libcap )
efl? ( dev-libs/efl[X] )
gnome-keyring? ( app-crypt/libsecret )
ncurses? ( sys-libs/ncurses:0= )
qt5? (
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
)
"
RDEPEND="${DEPEND}
gtk? ( app-crypt/gcr[gtk] )
"
BDEPEND="
sys-devel/gettext
virtual/pkgconfig
"
IDEPEND=">=app-eselect/eselect-pinentry-0.7.2"
DOCS=( AUTHORS ChangeLog NEWS README THANKS TODO )
PATCHES=(
"${FILESDIR}/${PN}-1.0.0-make-icon-work-under-Plasma-Wayland.patch"
"${FILESDIR}/${PN}-0.8.2-ncurses.patch"
"${FILESDIR}/${PN}-1.0.0-AR.patch"
)
src_prepare() {
default
unset FLTK_CONFIG
eautoreconf
}
src_configure() {
export QTLIB="$(qt5_get_libdir)"
econf \
$(use_enable efl pinentry-efl) \
$(use_enable emacs pinentry-emacs) \
$(use_enable gnome-keyring libsecret) \
$(use_enable gtk pinentry-gnome3) \
$(use_enable ncurses fallback-curses) \
$(use_enable ncurses pinentry-curses) \
$(use_enable qt5 pinentry-qt) \
$(use_with caps libcap) \
--enable-pinentry-tty \
--disable-pinentry-fltk \
--disable-pinentry-gtk2 \
MOC="$(qt5_get_bindir)"/moc \
GPG_ERROR_CONFIG="${ESYSROOT}/usr/bin/${CHOST}-gpg-error-config" \
LIBASSUAN_CONFIG="${ESYSROOT}/usr/bin/libassuan-config" \
$("${S}/configure" --help | grep -- '--without-.*-prefix' | sed -e 's/^ *\([^ ]*\) .*/\1/g')
}
src_install() {
default
rm "${ED}"/usr/bin/pinentry || die
use qt5 && dosym pinentry-qt /usr/bin/pinentry-qt5
}
pkg_postinst() {
eselect pinentry update ifunset
}
pkg_postrm() {
eselect pinentry update ifunset
}

@ -1,88 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit autotools qmake-utils
DESCRIPTION="Simple passphrase entry dialogs which utilize the Assuan protocol"
HOMEPAGE="https://gnupg.org/aegypten2"
SRC_URI="mirror://gnupg/${PN}/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="caps efl emacs gnome-keyring gtk ncurses qt5"
DEPEND="
>=app-eselect/eselect-pinentry-0.7.2
>=dev-libs/libassuan-2.1
>=dev-libs/libgcrypt-1.6.3
>=dev-libs/libgpg-error-1.17
caps? ( sys-libs/libcap )
efl? ( dev-libs/efl[X] )
gnome-keyring? ( app-crypt/libsecret )
ncurses? ( sys-libs/ncurses:0= )
qt5? (
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
)
"
RDEPEND="${DEPEND}
gtk? ( app-crypt/gcr[gtk] )
"
BDEPEND="
sys-devel/gettext
virtual/pkgconfig
"
DOCS=( AUTHORS ChangeLog NEWS README THANKS TODO )
PATCHES=(
"${FILESDIR}/${PN}-1.0.0-make-icon-work-under-Plasma-Wayland.patch"
"${FILESDIR}/${PN}-0.8.2-ncurses.patch"
"${FILESDIR}/${PN}-1.0.0-AR.patch"
)
src_prepare() {
default
unset FLTK_CONFIG
eautoreconf
}
src_configure() {
export QTLIB="$(qt5_get_libdir)"
econf \
$(use_enable efl pinentry-efl) \
$(use_enable emacs pinentry-emacs) \
$(use_enable gnome-keyring libsecret) \
$(use_enable gtk pinentry-gnome3) \
$(use_enable ncurses fallback-curses) \
$(use_enable ncurses pinentry-curses) \
$(use_enable qt5 pinentry-qt) \
$(use_with caps libcap) \
--enable-pinentry-tty \
--disable-pinentry-fltk \
--disable-pinentry-gtk2 \
MOC="$(qt5_get_bindir)"/moc \
GPG_ERROR_CONFIG="${ESYSROOT}/usr/bin/${CHOST}-gpg-error-config" \
LIBASSUAN_CONFIG="${ESYSROOT}/usr/bin/libassuan-config" \
$("${S}/configure" --help | grep -- '--without-.*-prefix' | sed -e 's/^ *\([^ ]*\) .*/\1/g')
}
src_install() {
default
rm "${ED}"/usr/bin/pinentry || die
use qt5 && dosym pinentry-qt /usr/bin/pinentry-qt5
}
pkg_postinst() {
eselect pinentry update ifunset
}
pkg_postrm() {
eselect pinentry update ifunset
}

@ -31,7 +31,7 @@ DEPEND="
"
RDEPEND="
${DEPEND}
gtk? ( app-crypt/gcr[gtk] )
gtk? ( app-crypt/gcr:0[gtk] )
"
BDEPEND="
sys-devel/gettext

@ -13,7 +13,7 @@ SRC_URI="https://github.com/Foxboron/${PN}/releases/download/${PV}/${P}.tar.gz
LICENSE="Apache-2.0 BSD BSD-2 MIT"
SLOT="0"
KEYWORDS="~amd64"
KEYWORDS="amd64"
BDEPEND="app-text/asciidoc
verify-sig? ( sec-keys/openpgp-keys-foxboron )"

@ -15,7 +15,7 @@ KEYWORDS="~alpha amd64 ~arm arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc x86"
RDEPEND="
>=dev-libs/glib-2.66:2
>=app-crypt/gcr-3.38:=
>=app-crypt/gcr-3.38:0=
>=app-crypt/gpgme-1.14.0:=
>=x11-libs/gtk+-3.24.0:3
>=app-crypt/gnupg-2.2
@ -30,7 +30,7 @@ RDEPEND="
DEPEND="${RDEPEND}
$(vala_depend)
dev-libs/libxml2:2
app-crypt/gcr[vala]
app-crypt/gcr:0[vala]
app-crypt/libsecret[vala]
gui-libs/libhandy:1[vala]
"

@ -11,7 +11,7 @@ SRC_URI="https://github.com/tpm2-software/${PN}/releases/download/${PV}/${P}.tar
LICENSE="BSD-2"
SLOT="0/3"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
KEYWORDS="amd64 arm arm64 ppc64 ~riscv x86"
IUSE="doc +fapi +openssl mbedtls static-libs test"
RESTRICT="!test? ( test )"

Binary file not shown.

@ -1,2 +1 @@
DIST aspell-da-4.0.tar.gz 4208911 BLAKE2B 828176450a1d6e5e2e9b07d16c785239a012fc8382d92fcddf6dec812abbf49048b2f1c15de6655e09d74d2f65cd1a43939b3bee8f036ccfdd441f66b5ea259e SHA512 bbc0c4cc0202f989770d84ac9b5ff688b4c8bf0fef7128c36e54c7e4d09e8233eeee986def9a5d75c05d2599eaf96db4be212f6dc758bd23f723f611bf545ba5
DIST aspell-da-4.1.tar.gz 4239148 BLAKE2B 21c30ec4576b73964d434217eb0212bc2e15774b42d7b4cbc9be37ae97eef42eb66821e22690b2b1d72c91d0240f2152acd1383038426ab65c030bc7f74379f1 SHA512 88a3a60db9be45f3235d75db0f946a5d7da0c2cfcf847ad2672c7b0e243454dce56f5f37d0652c6f2b9aeb08edbbefb80c4f45c909e5ba33aec2714f83fac7c3

@ -1,15 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
ASPELL_LANG="Danish"
inherit aspell-dict-r1
HOMEPAGE="https://github.com/mortenivar/aspell-da"
SRC_URI="https://github.com/mortenivar/${PN}/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/${P}"
LICENSE="GPL-2"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~ppc-macos"

@ -12,4 +12,4 @@ SRC_URI="https://github.com/mortenivar/${PN}/archive/refs/tags/${PV}.tar.gz -> $
S="${WORKDIR}/${P}"
LICENSE="GPL-2"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-macos"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~ppc-macos"

Binary file not shown.

@ -1,2 +1,2 @@
DIST joe-3.1jupp38.tgz 498068 BLAKE2B 46909c5f0f14b1d0ec30219b8ddfe9c0ad76b726f7178f7527ad5fad0cec40b7ac663e93645187220280572fa3bbde9bcb621f8816672e69c36587410fd98c7f SHA512 1d21ee5bbd1a042c58a89dd2bed8ec711c59fc383ff0dfd94d3a0eaccb999734915abc202e2112c5d573d8073e748b8024cd710b21803fed7422f5a8bccbc0c5
DIST joe-3.1jupp40.tgz 503318 BLAKE2B 34452784f145f81158dc6a9223a365cd04fce2f3a669f99bf5571e8f33ecf8ff34d7f8495f6c6803ab1e734890c95d9fe9f88be38738b2b2111a9512db2f7872 SHA512 d61b7b9c5cc5c17925ef27f8f7942bc4e4d283e49b02f4962a7e3c5d3122868aadffe108f884164ae61e86776584374a2b5220c313a323efb9d3820268402ead
DIST joe-3.1jupp41.tgz 505002 BLAKE2B 4b354bb2643896b68dc6f270ee7a030703e168b9e8b98ab537878a53b00faad6809ff48eb9c24fa68a0d6e436222f745eef69290e803c1fcace5e6ca0278a6c9 SHA512 9a07946984b64fff4ad8174f9fa437073543cd6af357caf9674571ed787709b3cc2b16fd571d7b8b50b8bb9c7e7bf49dff010d162b76324818be130ab37e06cf

@ -1,11 +1,12 @@
# Copyright 1999-2018 Gentoo Authors
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
DESCRIPTION="Portable version of Joe's Own Editor"
HOMEPAGE="https://www.mirbsd.org/jupp.htm"
SRC_URI="https://www.mirbsd.org/MirOS/dist/${PN}/joe-${PV/_p/${PN}}.tgz"
HOMEPAGE="http://www.mirbsd.org/jupp.htm"
SRC_URI="http://www.mirbsd.org/MirOS/dist/${PN}/joe-${PV/_p/${PN}}.tgz"
S="${WORKDIR}/${PN}"
LICENSE="GPL-1"
SLOT="0"
@ -16,15 +17,10 @@ RDEPEND="ncurses? ( sys-libs/ncurses:0= )
!app-editors/joe"
DEPEND="${RDEPEND}"
S="${WORKDIR}/${PN}"
DOCS="HINTS INFO LIST NEWS README TODO"
src_prepare() {
default
chmod +x configure || die
}
src_configure() {
chmod +x configure || die
econf \
--enable-search_libs \
--enable-termcap \

@ -1,2 +1,3 @@
DIST neovim-0.7.0.tar.gz 10925354 BLAKE2B 0524d008ba1ebbe823406e94cfb048014b26bc394c686b2dd84bb7fae5a1f7f3acd42764b03b6efec10c0f25045c5838f624542b5125947e5f42d3b0d2ad1f84 SHA512 3597c54fb925a4d607bca9ba0fdb37df90ecb816da99f52baf46cc2ec79727a55048ba1d8d22c8e7d61f0e8e35546326b1d0d15c0a91de8bf5bc529c45fb1ce0
DIST neovim-0.7.2.tar.gz 10933623 BLAKE2B c2db449a91f1685233da7125e3d4b49cb8fe26db5e498fd3a83340bd14842399474fcc7f2c78b88783195c6f7b0b8df196985b70387ed88972372a8866e2c721 SHA512 04d0fa5b23018531b70b53271821bf6944cde1bcec2210b99f5888e1339cd38f57feaa8e40874a3a504930e6614980947f31852185cbcd2ce106a0867896dd79
DIST neovim-0.8.0.tar.gz 11387355 BLAKE2B 341f0fa10f0001324c87c26e7c0047334c25808901034f073945c3977dde4dda44b03869be1f530398d549f0b13dafae0eb82766464875ced2cd26621a0c5d88 SHA512 e9504e33df292043656b0ef064e465069c93d4be52bbe29ec33c111f3e00ed83647148d653e3f143e2243dac537eede6a9351990bd858ac20abc8edbc5249432

@ -11,3 +11,18 @@ https://bugs.gentoo.org/757744
call health#report_ok(buildtype)
else
call health#report_info(buildtype)
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -137,12 +137,6 @@ else()
message(STATUS "MIN_LOG_LEVEL=${MIN_LOG_LEVEL}")
endif()
-# Default to -O2 on release builds.
-if(CMAKE_C_FLAGS_RELEASE MATCHES "-O3")
- message(STATUS "Replacing -O3 in CMAKE_C_FLAGS_RELEASE with -O2")
- string(REPLACE "-O3" "-O2" CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE}")
-endif()
-
if(CMAKE_C_COMPILER_ID MATCHES "GNU")
check_c_compiler_flag(-Og HAS_OG_FLAG)
else()

@ -0,0 +1,134 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
# RelWithDebInfo sets -Og -g
CMAKE_BUILD_TYPE=Release
LUA_COMPAT=( lua5-{1..2} luajit )
inherit cmake lua-single optfeature xdg
DESCRIPTION="Vim-fork focused on extensibility and agility"
HOMEPAGE="https://neovim.io"
if [[ ${PV} == 9999 ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/neovim/neovim.git"
else
SRC_URI="https://github.com/neovim/neovim/archive/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86 ~x64-macos"
fi
LICENSE="Apache-2.0 vim"
SLOT="0"
IUSE="+lto +nvimpager test +tui"
REQUIRED_USE="${LUA_REQUIRED_USE}"
# Upstream say the test library needs LuaJIT
# https://github.com/neovim/neovim/blob/91109ffda23d0ce61cec245b1f4ffb99e7591b62/CMakeLists.txt#L377
REQUIRED_USE="test? ( lua_single_target_luajit )"
# TODO: Get tests running
RESTRICT="!test? ( test ) test"
# Upstream build scripts invoke the Lua interpreter
BDEPEND="${LUA_DEPS}
>=dev-util/gperf-3.1
>=sys-devel/gettext-0.20.1
virtual/libiconv
virtual/libintl
virtual/pkgconfig
"
# Check https://github.com/neovim/neovim/blob/master/third-party/CMakeLists.txt for
# new dependency bounds and so on on bumps (obviously adjust for right branch/tag).
DEPEND="${LUA_DEPS}
>=dev-lua/luv-1.44.2[${LUA_SINGLE_USEDEP}]
$(lua_gen_cond_dep '
dev-lua/lpeg[${LUA_USEDEP}]
dev-lua/mpack[${LUA_USEDEP}]
')
$(lua_gen_cond_dep '
dev-lua/LuaBitOp[${LUA_USEDEP}]
' lua5-{1,2})
>=dev-libs/libuv-1.44.2:=
>=dev-libs/libvterm-0.3
>=dev-libs/msgpack-3.0.0:=
>=dev-libs/tree-sitter-0.20.2:=
tui? (
>=dev-libs/libtermkey-0.22
>=dev-libs/unibilium-2.0.0:0=
)
"
RDEPEND="
${DEPEND}
app-eselect/eselect-vi
"
BDEPEND="
test? (
$(lua_gen_cond_dep 'dev-lua/busted[${LUA_USEDEP}]')
)
"
PATCHES=()
if [[ ${PV} == 9999 ]]; then
PATCHES+=(
"${FILESDIR}/${PN}-9999-cmake_lua_version.patch"
"${FILESDIR}/${PN}-9999-cmake-release-type.patch"
"${FILESDIR}/${PN}-9999-cmake-darwin.patch"
)
else
PATCHES+=(
"${FILESDIR}/${PN}-9999-cmake_lua_version.patch"
"${FILESDIR}/${PN}-9999-cmake-release-type.patch"
"${FILESDIR}/${PN}-9999-cmake-darwin.patch"
)
fi
src_prepare() {
# Use our system vim dir
sed -e "/^# define SYS_VIMRC_FILE/s|\$VIM|${EPREFIX}/etc/vim|" \
-i src/nvim/globals.h || die
# https://forums.gentoo.org/viewtopic-p-8750050.html
xdg_environment_reset
cmake_src_prepare
}
src_configure() {
# Upstream default to LTO on non-debug builds
# Let's expose it as a USE flag because upstream
# have preferences for how we should use LTO
# if we want it on (not just -flto)
# ... but allow turning it off.
# TODO: Investigate USE_BUNDLED, doesn't seem to be needed right now
local mycmakeargs=(
-DENABLE_LTO=$(usex lto)
-DFEAT_TUI=$(usex tui)
-DPREFER_LUA=$(usex lua_single_target_luajit no "$(lua_get_version)")
-DLUA_PRG="${ELUA}"
-DMIN_LOG_LEVEL=3
)
cmake_src_configure
}
src_install() {
cmake_src_install
# install a default configuration file
insinto /etc/vim
doins "${FILESDIR}"/sysinit.vim
# conditionally install a symlink for nvimpager
if use nvimpager; then
dosym ../share/nvim/runtime/macros/less.sh /usr/bin/nvimpager
fi
}
pkg_postinst() {
xdg_pkg_postinst
optfeature "clipboard support" x11-misc/xsel x11-misc/xclip gui-apps/wl-clipboard
optfeature "Python plugin support" dev-python/pynvim
optfeature "Ruby plugin support" dev-ruby/neovim-ruby-client
optfeature "remote/nvr support" dev-python/neovim-remote
}

@ -3,8 +3,9 @@
EAPI=8
# RelWithDebInfo sets -Og -g
CMAKE_BUILD_TYPE=Release
LUA_COMPAT=( lua5-{1..2} luajit )
inherit cmake lua-single optfeature xdg
DESCRIPTION="Vim-fork focused on extensibility and agility"
@ -32,6 +33,7 @@ RESTRICT="!test? ( test ) test"
# Upstream build scripts invoke the Lua interpreter
BDEPEND="${LUA_DEPS}
>=dev-util/gperf-3.1
>=sys-devel/gettext-0.20.1
virtual/libiconv
virtual/libintl
virtual/pkgconfig
@ -39,7 +41,7 @@ BDEPEND="${LUA_DEPS}
# Check https://github.com/neovim/neovim/blob/master/third-party/CMakeLists.txt for
# new dependency bounds and so on on bumps (obviously adjust for right branch/tag).
DEPEND="${LUA_DEPS}
>=dev-lua/luv-1.43.0[${LUA_SINGLE_USEDEP}]
>=dev-lua/luv-1.44.2[${LUA_SINGLE_USEDEP}]
$(lua_gen_cond_dep '
dev-lua/lpeg[${LUA_USEDEP}]
dev-lua/mpack[${LUA_USEDEP}]
@ -47,10 +49,10 @@ DEPEND="${LUA_DEPS}
$(lua_gen_cond_dep '
dev-lua/LuaBitOp[${LUA_USEDEP}]
' lua5-{1,2})
>=dev-libs/libuv-1.44.1:=
>=dev-libs/libvterm-0.1.4
>=dev-libs/libuv-1.44.2:=
>=dev-libs/libvterm-0.3
>=dev-libs/msgpack-3.0.0:=
>=dev-libs/tree-sitter-0.20.6:=
>=dev-libs/tree-sitter-0.20.2:=
tui? (
>=dev-libs/libtermkey-0.22
>=dev-libs/unibilium-2.0.0:0=
@ -76,9 +78,9 @@ if [[ ${PV} == 9999 ]]; then
)
else
PATCHES+=(
"${FILESDIR}/${PN}-0.4.4-cmake_lua_version.patch"
"${FILESDIR}/${PN}-0.4.4-cmake-release-type.patch"
"${FILESDIR}/${PN}-0.7.2-cmake-darwin.patch"
"${FILESDIR}/${PN}-9999-cmake_lua_version.patch"
"${FILESDIR}/${PN}-9999-cmake-release-type.patch"
"${FILESDIR}/${PN}-9999-cmake-darwin.patch"
)
fi
@ -87,6 +89,8 @@ src_prepare() {
sed -e "/^# define SYS_VIMRC_FILE/s|\$VIM|${EPREFIX}/etc/vim|" \
-i src/nvim/globals.h || die
# https://forums.gentoo.org/viewtopic-p-8750050.html
xdg_environment_reset
cmake_src_prepare
}

@ -1 +1,2 @@
DIST pluma-1.24.2.tar.xz 3745160 BLAKE2B ed855b19f1ab80cb6ef9bc175eea3c2af386b1e45123bc0e3ad93d1964efb4822fe1b3d7490308357fcff96557bb6189f081a467f41a6907e76a1961de8f23d3 SHA512 588640744f8a0bec08d0c51c0309380a57cb6319c98124885e30d05e7dd8488ba7bd5acec1bf21fb0d6832626ae8925b24cd241202265af1a631a91313cdad2b
DIST pluma-1.26.0.tar.xz 3765056 BLAKE2B 4a3107df7c4ba906d405b5ef3ea6dd9ca0e372a7b00224213fc8a60d1dc26663d1363aa7f0569b0242407f5b5d850386308fae9192c4a33f577295bb55ef5a16 SHA512 a6c0cee7110f4863e44af51b19bb528f0f3570eab8db98038152bf142eedde97ac13b896deff7051b941a0f43c6fe14e316a97eba40fe5d4854d76038450245f

@ -0,0 +1,79 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
MATE_LA_PUNT="yes"
PYTHON_COMPAT=( python3_{8..11} )
inherit mate python-single-r1 virtualx
DESCRIPTION="Pluma text editor for the MATE desktop"
LICENSE="FDL-1.1+ GPL-2+ LGPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~loong ~riscv ~x86"
IUSE="+introspection spell test"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RESTRICT="!test? ( test )"
COMMON_DEPEND="
dev-libs/atk
>=dev-libs/glib-2.50:2
>=dev-libs/libpeas-1.2.0[gtk]
>=dev-libs/libxml2-2.5:2
x11-libs/cairo
x11-libs/gdk-pixbuf:2
>=x11-libs/gtk+-3.22:3[introspection?]
>=x11-libs/gtksourceview-4.0.2:4
x11-libs/libICE
x11-libs/libX11
>=x11-libs/libSM-1.0
x11-libs/pango
introspection? ( >=dev-libs/gobject-introspection-0.9.3:= )
spell? (
>=app-text/enchant-1.6:=
>=app-text/iso-codes-0.35
)
!!app-editors/mate-text-editor
"
RDEPEND="${COMMON_DEPEND}
${PYTHON_DEPS}
>=mate-base/mate-desktop-1.9[introspection?]
virtual/libintl
"
DEPEND="${COMMON_DEPEND}
~app-text/docbook-xml-dtd-4.1.2
app-text/yelp-tools
dev-util/glib-utils
dev-util/gtk-doc
dev-util/gtk-doc-am
>=sys-devel/libtool-2.2.6:2
>=sys-devel/gettext-0.19.8
virtual/pkgconfig
"
MATE_FORCE_AUTORECONF=true
src_prepare() {
# Test require gvfs sftp fs mounted and schema's installed. Skip this one.
# https://github.com/mate-desktop/mate-text-editor/issues/33
sed -e '/+= document-saver/d' -i tests/Makefile.am || die
mate_src_prepare
}
src_configure() {
mate_src_configure \
$(use_enable introspection) \
$(use_enable spell) \
$(use_enable test tests)
}
src_test() {
# FIXME: This should be handled at eclass level.
"${EPREFIX}/${GLIB_COMPILE_SCHEMAS}" --allow-any-name "${S}/data" || die
unset DBUS_SESSION_BUS_ADDRESS
local -x GSETTINGS_SCHEMA_DIR="${S}/data"
virtx emake check
}

Binary file not shown.

@ -1,3 +1,4 @@
DIST helm-3.8.5.tar.gz 2349290 BLAKE2B 84f0c15c2a9f492246defdf9496e8dcc5265b0c60b50ccaaa3b9f6731285a667da919da7fec80d77a4fd11bc83d9f4ae4c0910e31423b58afbdf00d51b070295 SHA512 af727553c29c9fa0ba6eb6a73b25d62855ea4413eebc57baf3ed94be6a0240e4c558193c898430dc21132ba5e32ead584514910bf98b3b8d82adf7828f953652
DIST helm-3.8.6.tar.gz 2356253 BLAKE2B 62b9af26888526f54726468e04677c401c5e828e588cb6f2c005b9ce9d84935c184b536a97a82e4e6c08c3523a10a32f9348d243d2545c17c9480ad004d92d10 SHA512 71342f347aa5cf8bd3e1990c8633d908e6a5fe66e051554aa2f554fba5d63b2623fe2b6b07540473b481986b1d5d27cb2d8b06f127e727aa8d373bc045d0a602
DIST helm-3.8.7.tar.gz 2358726 BLAKE2B a76c7c6658997f4d5114e383e1ca728df923b0216c66c9d4c2f9d1d656d06990299ebc79f4ad9c50da1dd133f8111c947e6f238324fbe91c5af5a1ab02aa1c7f SHA512 d7356e407d1ef463e62e7d0f2c3b0f90d150744fa020638740226a3e04e043be0e551effd2c17cd2e8c0d82d70351cb5268a89eca2c9ef6355fcce65a445f9bc
DIST helm-3.8.8.tar.gz 2362007 BLAKE2B 80f854bc38e51de62aa6d9a35cdeff4ac4c193908dc19361ad10ad419585d30a2fd94be1d4d410b69634012e4c01045d4dd2f55c5b4ac8da960d7f7b8d4eed08 SHA512 a1fca373d2c64771aabb3ba396e0d65b3434f0a413bab1e61761c16e9dcf274ceb94e258ef90f4ddd2b150a09606255ea61186d2e4e69ad2600fc40369c693c7

@ -0,0 +1,24 @@
https://bugs.gentoo.org/800177
--- a/emacs-helm.sh
+++ b/emacs-helm.sh
@@ -137,19 +137,6 @@ LOAD_PATH=$($EMACS -q -batch --eval "(prin1 load-path)")
cd "${0%/*}" || exit 1
-# Check if autoload file exists.
-# It may be in a different directory if emacs-helm.sh is a symlink.
-TRUENAME=$(find "${0%/*}" -path "$0" -printf "%l")
-if [ -n "$TRUENAME" ]; then
- AUTO_FILE="${TRUENAME%/*}/helm-autoloads.el"
-else
- AUTO_FILE="helm-autoloads.el"
-fi
-if [ ! -e "$AUTO_FILE" ]; then
- echo No autoloads found, please run make first to generate autoload file
- exit 1
-fi
-
cat > $CONF_FILE <<EOF
(setq initial-scratch-message (concat initial-scratch-message

@ -0,0 +1,37 @@
# Copyright 2019-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit elisp
DESCRIPTION="Emacs incremental completion and selection narrowing framework"
HOMEPAGE="https://emacs-helm.github.io/helm/
https://github.com/emacs-helm/helm/"
SRC_URI="https://github.com/emacs-helm/${PN}/archive/v${PV}.tar.gz
-> ${P}.tar.gz"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
RDEPEND="
app-emacs/async
app-emacs/popup
"
BDEPEND="${RDEPEND}"
PATCHES=( "${FILESDIR}"/${P}-no-autoload-check.patch )
SITEFILE="50${PN}-gentoo.el"
src_compile() {
elisp-compile *.el
elisp-make-autoload-file
}
src_install() {
elisp_src_install
exeinto /usr/bin/
doexe emacs-helm.sh
}

@ -1,2 +1,3 @@
DIST popup-el-0.5.3.tar.gz 25785 BLAKE2B e0104a382730203a86c9ce4e1957c652c0e4b0ee84dfa465a94eddf942a249ccf83493bc04f8503e483f14cfeff3649f5264475531c10fe1a9cb1a08376b4499 SHA512 ad67e5d1e4d969151359a54759ae74b2f1107b25b56e7bcedf15995ff6bc0188916fcf5af64ee6ee2b5046e831ebb49c521724e224d7ddb473d3229f3094f5d5
DIST popup-el-0.5.8.tar.gz 26093 BLAKE2B f2b0cb4ffbb3d371baeb1b3261e12921faabea00a4bbb13ecfcbbef56db9c46c0a397817eb956b4eb37a0fb1246bd1933a2c9355984bf6f34a65baf6df912b8e SHA512 1a93e7b05604af147ad3171ef2e5c8f9a4c7ffc0d3382faf98859ea1d30df9d9e73f8e01839a586c07bebd39db664e859c1890b10e87a100a2bd5624eecc879f
DIST popup-el-0.5.9.tar.gz 38412 BLAKE2B 142b1b01e852a386caa2088d332918cd82945ca3ca6237890a2f286245c23b831020f8f20c17d1892ff0e5f180f13e37ff694ce4a4f321fc101c7a2167bda38f SHA512 1a8c5ecb56e695f7a37915063d4e105cee92f8ae5a21e2e39ffe556dfdcf03c056b69f5e36c6ff3643713a914bb531adabcfbc525c531821e1520f7b3e93dc0b

@ -0,0 +1,22 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
MY_P=${PN}-el-${PV}
NEED_EMACS=24.3
inherit elisp
DESCRIPTION="Visual popup interface library for Emacs"
HOMEPAGE="https://github.com/auto-complete/popup-el/"
SRC_URI="https://github.com/auto-complete/popup-el/archive/v${PV}.tar.gz
-> ${MY_P}.tar.gz"
S="${WORKDIR}"/${MY_P}
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
RESTRICT="test"
DOCS=( README.md )

@ -1,2 +1,3 @@
DIST setup-1.2.0.tar.gz 19709 BLAKE2B 704340f9ab8a3e10fdeafed88365fb3151fe8c9600960defcce0021850a1846ffc5e7a3c02a4567371c18b4bdf5b81c80544fe82c22a150ca4d4505818ba8148 SHA512 705e188876316eb76938229395676a9068e735074d63865dd9a2a21d83face2768f958f76cf9c88b6cb3d4668e271ee043d7aa81a40d3b384fb1bc75bb1f0af5
DIST setup-1.3.0.tar.gz 20112 BLAKE2B 7e8b29c6a2be68572ede8845bc1cdfc8e00acdaf1db972124ab18f2ec6ab216a481dc4c40ff256e7bdefd2558cafb686af8a51728e0b1c093ca369fa4a093c09 SHA512 cd088dba4f258a3440ec78e5742b6a2f5d1dba46e3382ea3b40967b640c80fd292b7edc1421f07561c270c4404d95c0fd55bd166265c79c131e0037f2181cb66
DIST setup-1.3.2.tar.gz 19985 BLAKE2B d2166d22d13bfd4e01fef9ca25372dab30af237394abc3d55e78c50d5fa26aa09fa82b4f0940b73f27012e0fce1e3b76c802dc271463c89f9ab5e664023c0722 SHA512 14eebda45b713f657be391d71f51d86642a1d36155c1bc914fca170fe5718b136da726685559531cc8e738cc9cbc823f02eb231339b75eeb19e4e02085455120

@ -0,0 +1,28 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
NEED_EMACS=26.1
# The upstream does not create git tags for releases.
MY_HASH=28926bd11eef6118f4e169d10c1c36b8c4e545ae
inherit elisp
DESCRIPTION="Macro to simplify repetitive configuration patterns"
HOMEPAGE="https://git.sr.ht/~pkal/setup"
SRC_URI="https://git.sr.ht/~pkal/${PN}/archive/${MY_HASH}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}"/${PN}-${MY_HASH}
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
DOCS=( README.md )
SITEFILE="50${PN}-gentoo.el"
src_compile() {
elisp_src_compile
elisp-make-autoload-file
}

@ -1 +1,2 @@
DIST sokoban-1.4.8.tar 71680 BLAKE2B faf7218dc4d1a629008b1d7fa79a9f747eeda056a89cf9e677f0b20a3dae1dad468a4f968da89be6a1daee0188ea36eb64e02c8a54f6948a89f5dcd039038c39 SHA512 bca8ba4c6357768bd3ec84d8093697acb0fcc84a565290f9517e844bc39301e9ebe7a0e8d3a2c9ef2304387ff539366048a2d2334990f1b7e3895ea1b113e613
DIST sokoban-1.4.9.tar 61440 BLAKE2B 9a7c742a53d08e91026620ad64752057acd49bd7f1013752be939a53a3b0cfb583982acbc11e335bc22ac4a7ace9e11eaa5369a8a1645c622d82150edd3440ba SHA512 a38265aa3e6a973c388c3d03ed7ce245e1b4c46b141a1c14e271002bc48a24175c46bf42ab6645514e2a9e3466f0b19646a5e795adfb7d92cf3d71a7bfca993e

@ -0,0 +1,24 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit elisp
DESCRIPTION="Implementation of Sokoban for Emacs"
HOMEPAGE="https://elpa.gnu.org/packages/sokoban.html"
SRC_URI="https://elpa.gnu.org/packages/${P}.tar"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
ELISP_REMOVE="sokoban-pkg.el"
SITEFILE="50${PN}-gentoo.el"
src_install() {
elisp_src_install
insinto "${SITEETC}/${PN}"
doins sokoban.levels
}

Binary file not shown.

@ -1 +1,2 @@
DIST uxn-0_p20220815.tar.gz 286763 BLAKE2B d50e52da1614fdd2939ad09d5c372c103cbfa074b10e1a17560baa3ad5e09a81b9627efdc5f17c7572798d06f1e6a388cb473348950cef5ba45c7d40b3716ec6 SHA512 237c6d633783006d8503b6b4726aaa1d8ed22209c0c6368e78a3da0703d92cb8b1e9c5c7372faecc374082be56608ac1857efc0629e0dff6e374a2adbf1d20ea
DIST uxn-0_p20220921.tar.gz 286803 BLAKE2B 98230eec1f5071451a25dbe0136f3fd2d7e9ad08287df40bef611ae3012e3775d787a653a43fb4f1cb6c8f213cb8d39684e48c4f6c225bc19e86f1e4b94d73ba SHA512 8568114ddd98672aab4ca59ab279d39ff7a30c04d0b2a53da85b342a17a80d82b5b0ab90f04f63aa0491f8feaa91655f8fa725ec0d76a559b6201407b47bf1f5

@ -0,0 +1,53 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
H=cbc61578b77881232fda4cc42aa914a0806b786f
inherit toolchain-funcs
DESCRIPTION="An assembler and emulator for the Uxn stack-machine, written in ANSI C"
HOMEPAGE="
https://wiki.xxiivv.com/site/uxn.html
https://git.sr.ht/~rabbits/uxn/
"
if [[ ${PV} == *9999* ]] ; then
inherit git-r3
EGIT_REPO_URI="https://git.sr.ht/~rabbits/uxn.git"
else
SRC_URI="https://git.sr.ht/~rabbits/uxn/archive/${H}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}"/${PN}-${H}
KEYWORDS="~amd64 ~x86"
fi
LICENSE="MIT"
SLOT="0"
RDEPEND="media-libs/libsdl2:="
DEPEND="${RDEPEND}"
PATCHES=( "${FILESDIR}"/uxn-build.sh.patch )
src_compile() {
CC="$(tc-getCC)" CFLAGS="${CFLAGS} ${LDFLAGS}" ./build.sh --no-run ||
die "build failed"
local f
for f in ./projects/{examples/*,software,utils}/*.tal ; do
./bin/uxnasm "${f}" "$(dirname "${f}")"/"$(basename "${f}" .tal)".rom ||
die "failed to assemble ${f}"
done
}
src_install() {
exeinto /usr/bin
doexe bin/uxn*
insinto /usr/share/uxn
doins bin/*.rom
doins -r projects
einstalldocs
}

Binary file not shown.

@ -1,11 +1,11 @@
# Copyright 1999-2021 Gentoo Authors
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
if [[ ${PV} == "99999999" ]] ; then
inherit autotools git-r3
EGIT_REPO_URI="git://anongit.gentoo.org/proj/${PN}.git"
EGIT_REPO_URI="https://anongit.gentoo.org/proj/${PN}.git"
else
SRC_URI="https://dev.gentoo.org/~chutzpah/dist/misc/${P}.tar.bz2"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2021 Gentoo Authors
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="8"
@ -26,7 +26,9 @@ RDEPEND="app-i18n/freewnn
x11-libs/libXpm
x11-libs/libXt"
DEPEND="${RDEPEND}"
BDEPEND="x11-misc/gccmakedep
BDEPEND="
sys-devel/gcc
x11-misc/gccmakedep
>=x11-misc/imake-1.0.8-r1"
S="${WORKDIR}/${MY_P}"
@ -45,7 +47,8 @@ src_prepare() {
}
src_configure() {
CC="$(tc-getBUILD_CC)" LD="$(tc-getLD)" IMAKECPP="${IMAKECPP:-$(tc-getCPP)}" xmkmf -a || die
CC="$(tc-getBUILD_CC)" LD="$(tc-getLD)" \
IMAKECPP="${IMAKECPP:-${CHOST}-gcc -E}" xmkmf -a || die
}
src_compile() {

Binary file not shown.

@ -13,7 +13,7 @@ SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~ppc64 ~riscv ~x86"
KEYWORDS="amd64 ~ppc64 ~riscv ~x86"
PATCHES=(
"${FILESDIR}/asciinema-2.2.0-setup.patch"

@ -11,7 +11,7 @@ inherit go-module distutils-r1
DESCRIPTION="Command line interface to JMESPath"
HOMEPAGE="https://github.com/pipebus/jpipe https://github.com/jmespath/jp/pull/30 http://jmespath.org"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
!python? ( https://dev.gentoo.org/~zmedico/dist/jpipe-0.2.0-deps.tar.xz )"
!python? ( https://dev.gentoo.org/~zmedico/dist/${P}-deps.tar.xz )"
LICENSE="Apache-2.0 BSD BSD-2 MIT"
SLOT="0"

@ -6,7 +6,7 @@ EAPI=7
inherit linux-info
if [[ ${PV} == "9999" ]]; then
EGIT_REPO_URI="git://anongit.gentoo.org/proj/livecd-tools.git"
EGIT_REPO_URI="https://anongit.gentoo.org/proj/livecd-tools.git"
inherit git-r3
else
SRC_URI="https://gitweb.gentoo.org/proj/livecd-tools.git/snapshot/${P}.tar.bz2"

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save